#ifndef COMMON_INCLUDE_H
#define COMMON_INCLUDE_H

/*---- INCLUDE FILES --------------------------------------------------------------------------------------*/
#include <stdlib.h>
#include <string.h>
#include <typedefn.h>
#include <rtwtypes.h>

/*---- TYPEDEFS -------------------------------------------------------------------------------------------*/

/* index_T used for prelookup index/fraction values */
typedef uint16_T index_T;

#include "MotoCoder.h"

/* fault_T used as an index to reference a Fault */
typedef uint32_T fault_T;

/* DataStorage uses matrix types for each built-in type */
typedef struct {
  uint32_T numCols;
  real_T data[1];
} matrix_real_T;

typedef struct {
  uint32_T numCols;
  real32_T data[1];
} matrix_real32_T;

typedef struct {
  uint32_T numCols;
  int8_T data[1];
} matrix_int8_T;

typedef struct {
  uint32_T numCols;
  uint8_T data[1];
} matrix_uint8_T;

typedef struct {
  uint32_T numCols;
  int16_T data[1];
} matrix_int16_T;

typedef struct {
  uint32_T numCols;
  uint16_T data[1];
} matrix_uint16_T;

typedef struct {
  uint32_T numCols;
  int32_T data[1];
} matrix_int32_T;

typedef struct {
  uint32_T numCols;
  uint32_T data[1];
} matrix_uint32_T;

typedef struct {
  uint32_T numCols;
  boolean_T data[1];
} matrix_boolean_T;

typedef struct {
  uint32_T numCols;
  reference_T data[1];
} matrix_reference_T;

typedef struct {
  uint32_T numCols;
  struct_reference_T data[1];
} matrix_struct_reference_T;

/*---- CUSTOM TYPEDEF CODE ---------------------------------------------------------------------------------*/
#define data_DataStore()               (serial_demo_B.s3_TmpSignalConversionAtmotohawk_probe1Inport1)
#define data_DataStore_ELEMS()         (6)
#define data_DataStore_BYTES()         sizeof(serial_demo_B.s3_TmpSignalConversionAtmotohawk_probe1Inport1)
#define data_DataStore_ROWS()          (6)
#define data_DataStore_COLS()          (1)
#define char_counter_DataStore()       (serial_demo_B.s3_Sum1)
#define char_counter_DataStore_ELEMS() (1)
#define char_counter_DataStore_BYTES() sizeof(serial_demo_B.s3_Sum1)
#define char_counter_DataStore_ROWS()  (1)
#define char_counter_DataStore_COLS()  (1)
#define DISABLE()                      Interrupt_Disable()
#define UNDISABLE()                    Interrupt_Enable()
#include "Application.h"

/*---- END OF FILE ----------------------------------------------------------------------------------------*/
#endif                                 /* COMMON_INCLUDE_H */
