
/* MotoCoder_CAN.c */
/* Generated by MotoCoder */
/* Version: 0.13.4 */
/* At: 2012-03-19 15:52:48 */
/* Copyright: 2012 Woodward. */


#include <MotoCoder_Types.h>
#include <FlexCAN2_API.h>
#include <FlexCAN2_Reg.h>
#include <Interrupt_API.h>
#include <TaskKernel_API.h>
#include <TaskKernel_GenAPI.h>
#include <BootMailbox_API.h>
#include <string.h>
#include <MotoCoder_CAN.h>

/* Processor Level CAN Interface and CAN Queue Source Code */
/*---- CAN SETUP --------------------------------------------------------------------------------*/

/* Buffer config object for each distinct buffer callback */

extern void CAN_Tx_Buffer_ISR(S_FlexCAN2ISRInfo const*);
S_FlexCAN2BufferRuntime const g_FlexCANBufferConfig_CAN_Tx_Buffer_ISR = 
{
	(CriticalFlexCAN2ISRFuncPtr) CAN_Tx_Buffer_ISR,
};

extern void CAN_Rx_Buffer_ISR(S_FlexCAN2ISRInfo const*);
S_FlexCAN2BufferRuntime const g_FlexCANBufferConfig_CAN_Rx_Buffer_ISR = 
{
	(CriticalFlexCAN2ISRFuncPtr) CAN_Rx_Buffer_ISR,
};


/* Module config object for each used FlexCAN2 module */

S_FlexCAN2ModuleRuntimeConfig const g_FLEXCAN2_A_ConfigObj =
{
	{
		(S_FlexCAN2BufferRuntime *) &g_FlexCANBufferConfig_CAN_Tx_Buffer_ISR,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		(S_FlexCAN2BufferRuntime *) &g_FlexCANBufferConfig_CAN_Rx_Buffer_ISR,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL,
	},
	NULL,
	NULL,
};



/* Top-level instantiation of FlexCAN2 config object */
S_FlexCAN2RuntimeConfig const g_FlexCAN2RuntimeConfigObj =
{
	{
		&g_FLEXCAN2_A_ConfigObj,
		NULL,
		NULL,
	},
};

/* Code to setup each FlexCAN2 module at startup */

void FLEXCAN2_A_Create(void)
{	
	S_CreateFlexCAN2Module FlexCAN2CreateObj;
	S_CreateFlexCAN2Buffer BufferCreateObj;
	S_LoadFlexCAN2RXBuffer LoadBufferRXObj;
	
	/* FLEXCAN2_A - 250000 bps */
	FlexCAN2CreateObj.u32RXGMASK = 0x1FFFFFFF;
	FlexCAN2CreateObj.u32RX14MASK = 0x0;
	FlexCAN2CreateObj.u32RX15MASK = 0x0;
	FlexCAN2CreateObj.u8PRESDIV = 3;
	FlexCAN2CreateObj.u8PROPSEG = 2;
	FlexCAN2CreateObj.u8PSEG1 = 1;
	FlexCAN2CreateObj.u8PSEG2 = 1;
	FlexCAN2CreateObj.u8RJW = 1;
	FlexCAN2CreateObj.u8MAXMB = 15;
	FlexCAN2CreateObj.eBusOffIRQPriority = (E_INTCPriority) 11;
	FlexCAN2CreateObj.eErrorIRQPriority = (E_INTCPriority) 12;
	FlexCAN2CreateObj.eBusOffISRState = CR_BOFFMSK_BUS_OFF_IRQ_DISABLED;
	FlexCAN2CreateObj.eErrorISRState = CR_ERRMSK_ERROR_IRQ_DISABLED;
	FlexCAN2CreateObj.eFlexCAN2Module = FLEXCAN2_A;

	Create_FlexCAN2Module(&FlexCAN2CreateObj);
	
	/* Buffer 0 - transmit */
	BufferCreateObj.eFlexCAN2Module = FLEXCAN2_A;
	BufferCreateObj.eFlexCAN2Buffer = (E_FlexCAN2Buffer) 0;
	BufferCreateObj.eBufferIRQPriority = (E_INTCPriority) 4;
	BufferCreateObj.eBufferIRQState = IMR_BUF_BUFFER_IRQ_ENABLED;
	
	Create_FlexCAN2Buffer(&BufferCreateObj);
	
	/* Buffer 15 - receive */
	BufferCreateObj.eFlexCAN2Module = FLEXCAN2_A;
	BufferCreateObj.eFlexCAN2Buffer = (E_FlexCAN2Buffer) 15;
	BufferCreateObj.eBufferIRQPriority = (E_INTCPriority) 6;
	BufferCreateObj.eBufferIRQState = IMR_BUF_BUFFER_IRQ_ENABLED;
	
	Create_FlexCAN2Buffer(&BufferCreateObj);
	
	LoadBufferRXObj.eFlexCAN2Module = FLEXCAN2_A;
	LoadBufferRXObj.eFlexCAN2Buffer = (E_FlexCAN2Buffer) 15;
	LoadBufferRXObj.u32MessageID = 0;
	LoadBufferRXObj.uFlags = CAN_MESSAGE_EXTENDED;
	
	Load_FlexCAN2_RXBuffer(&LoadBufferRXObj);
	
}




/* Code to setup CAN for jump to hard-boot */
void CAN_FillMotoTronBootObj(S_MotoTronBootObj_V3* const bootObj, uint8_T bus)
{
	switch (bus)
	{
	
		case FLEXCAN2_A:
            			bootObj->uAllowConnectOnCANMask = 1 << FLEXCAN2_A;
			bootObj->CANBusParams.u1PresDiv = 3;
			bootObj->CANBusParams.u1PropSeg = 2;
			bootObj->CANBusParams.u1PhaseSeg1 = 1;
			bootObj->CANBusParams.u1PhaseSeg2 = 1;
			bootObj->CANBusParams.u1RJW = 1;
		break;
		
	}
}

/* Return the baud rate of the queried bus. */
uint32_T CAN_BaudRate_Get(uint8_T bus)
{
    switch (bus)
    {
    
            case FLEXCAN2_A:
                    /* Baud rate provided by application. */
                    return 250000UL;
                
    }

    /* Default to 250kbs */
    return 250000UL;
}







/* Load actual transmit hardware buffer */
boolean_T CAN_LoadTransmitBuffer(E_FlexCAN2Module module, boolean_T extended, uint32_T id, uint8_T length, const uint8_T data[])
{
	S_LoadFlexCAN2TXBuffer txBuffer;
	NativeError_S sError;
	int32_T i;
	
	if (length > 8)
		length = 8;

	txBuffer.u32MessageID = id;
	txBuffer.u8Length = length;
	txBuffer.uFlags = (extended) ? CAN_MESSAGE_EXTENDED : CAN_MESSAGE_STANDARD;

	for (i=0; i < length; i++) {
		txBuffer.u8DataArr[i] = data[i];
	}
	while (i < 8) {
		txBuffer.u8DataArr[i] = 0;
		i++;
	}

	txBuffer.eFlexCAN2Module = module;
	txBuffer.eFlexCAN2Buffer = (E_FlexCAN2Buffer) 0;

	sError = Load_FlexCAN2_TXBuffer(&txBuffer);
	return SUCCESS(sError);
}




/* Code to implement CANFrame queue */

typedef struct CANFrame_tag
{
	uint32_T id;
	boolean_T extended;
	uint8_T length;
	uint8_T data[8];
} CANFrame;

typedef struct CANFrame_Queue_tag
{
	CANFrame *data;
	uint32_T size;
	uint32_T head;
	uint32_T tail;
} CANFrame_Queue;

void CANFrame_Queue_Create(CANFrame_Queue *queue, CANFrame data[], uint32_T size)
{
	queue->data = data;
	queue->size = size;
	queue->head = 0;
	queue->tail = 0;
}

int32_T CANFrame_Queue_Depth(CANFrame_Queue *queue)
{
	int32_T depth;

	Interrupt_Disable();
	depth = queue->head - queue->tail;
	Interrupt_Enable();

	while (depth < 0) {
		depth += queue->size;
	}

	return depth;
}

boolean_T CANFrame_Queue_Enqueue(CANFrame_Queue *queue, CANFrame *frame)
{
	CANFrame *queuedFrame;
	int32_T depth;

	Interrupt_Disable();
	depth = CANFrame_Queue_Depth(queue);
	if ((depth + 1) >= queue->size) {
		Interrupt_Enable();
		return 0;
	}

	queuedFrame = &queue->data[queue->head];

	memcpy(queuedFrame, frame, sizeof(CANFrame));

	queue->head++;
	if (queue->head >= queue->size) {
		queue->head = 0;
	}

	Interrupt_Enable();
	return 1;
}

boolean_T CANFrame_Queue_Dequeue(CANFrame_Queue *queue, CANFrame *frame)
{
	CANFrame *queuedFrame;
	int32_T depth;

	Interrupt_Disable();

	depth = CANFrame_Queue_Depth(queue);
	if (depth <= 0) {
		Interrupt_Enable();
		return 0;
	}

	queuedFrame = &queue->data[queue->tail];

	memcpy(frame, queuedFrame, sizeof(CANFrame));

	queue->tail++;
	if (queue->tail >= queue->size) {
		queue->tail = 0;
	}

	Interrupt_Enable();
	return 1;
}




/* Code to transmit via a queue */

/* If an error occurs and prevents the TransmitComplete ISR callback from occurring,
   then this periodic function will restart the transmit process */
boolean_T CAN_Queued_PeriodicKick(E_FlexCAN2Module module, CANFrame_Queue *queue)
{
	CANFrame frame;
	boolean_T moreDataToSend;
	boolean_T bufferFree;
	boolean_T result;

	result = 0;

	Interrupt_Disable();
	bufferFree = FlexCAN2_TXBuffer_IsFree(module, (E_FlexCAN2Buffer) 0);
	if (bufferFree) {
		moreDataToSend = CANFrame_Queue_Dequeue(queue, &frame);
		if (moreDataToSend) {
			CAN_LoadTransmitBuffer(module, frame.extended, frame.id, frame.length, frame.data);
			result = 1;
		}
	}
	Interrupt_Enable();

	return result;
}

boolean_T CAN_Queued_Transmit(E_FlexCAN2Module module, CANFrame_Queue *queue, boolean_T extended, uint32_T id, uint8_T length, const uint8_T data[])
{
	CANFrame frame;
	int32_T i;
	int32_T depth;
	boolean_T bufferFree;
	boolean_T ok;

	/* Check whether transmit queue is empty */
	/*     If empty, check whether the hardware transmit buffer is free */
	/*           If free, load the buffer */
	/*           If not free, add to the queue */
	/*     If non-empty, add to the queue. */
	
	/* This whole process must be performed critically */
	Interrupt_Disable();

	depth = CANFrame_Queue_Depth(queue);
	if (depth <= 0) {
		bufferFree = FlexCAN2_TXBuffer_IsFree(module, (E_FlexCAN2Buffer) 0);
		if (bufferFree) {
			ok = CAN_LoadTransmitBuffer(module, extended, id, length, data);
			Interrupt_Enable();
			return ok;
		}
	}

	if (length > 8)
		length = 8;

	frame.extended = extended;
	frame.id = id;
	frame.length = length;
	for (i=0; i < length; i++) {
		frame.data[i] = data[i];
	}
	while (i < 8) {
		frame.data[i] = 0;
		i++;
	}

	ok = CANFrame_Queue_Enqueue(queue, &frame);

	Interrupt_Enable();
	
	if (!ok) {
		ok = CAN_Queued_PeriodicKick(module, queue);
		if (ok) {
			/* A message was dequeued, so try to enqueue this one */
			ok  = CANFrame_Queue_Enqueue(queue, &frame);
		}
	}
	
	return ok;
}

/* Hook to be called by ISR on transmit complete, to implement transmit queue */
void CAN_Queued_TransmitComplete(E_FlexCAN2Module module, CANFrame_Queue *queue)
{
	CANFrame frame;
	boolean_T moreDataToSend;

	moreDataToSend = CANFrame_Queue_Dequeue(queue, &frame);
	if (moreDataToSend) {
		CAN_LoadTransmitBuffer(module, frame.extended, frame.id, frame.length, frame.data);
	}
}	


void CAN_Tx_Buffer_ISR(S_FlexCAN2ISRInfo const* info)
{
	switch ((E_FlexCAN2Module) info->MBInfo.uFlexCAN2Module)
	{
	
		case FLEXCAN2_A:
		
		{
			extern CANFrame_Queue FLEXCAN2_A_TransmitQueue;
			CAN_Queued_TransmitComplete(FLEXCAN2_A, &FLEXCAN2_A_TransmitQueue);
		}
		
		break;
	
		default:
			break;

	}
}

void CAN_Rx_Buffer_ISR(S_FlexCAN2ISRInfo const* info)
{
	switch ((E_FlexCAN2Module) info->MBInfo.uFlexCAN2Module)
	{
	
		case FLEXCAN2_A:
		
		{
			extern CANFrame_Queue FLEXCAN2_A_ReceiveQueue;
			CANFrame frame;
			int32_T i;
			
			frame.extended = info->pBuffer->CS.Obj.IDE;
			if (frame.extended)
				frame.id = info->pBuffer->u32MessageID;
			else
				frame.id = info->pBuffer->u32MessageID >> 18;
			frame.length = info->pBuffer->CS.Obj.LENGTH;
			if (frame.length > 8) frame.length = 8;
			for (i=0; i < frame.length; i++) {
				frame.data[i] = info->pBuffer->u8DataArr[i];
			}
			while (i < 8) {
				frame.data[i] = 0;
				i++;
			}
			
			if (!CANFrame_Queue_Enqueue(&FLEXCAN2_A_ReceiveQueue, &frame)) {
				/* Overflow */
			}
		}
		{
    extern void MotoCoder_TaskEvent_Post(S_MessageBoxDefn const* const in_pMailBox, void (*FuncPtr)(void));
	extern void CAN_1_ReceiveDispatch(void);
	extern const S_MessageBoxDefn g_ApplicationInterruptTask_MailBox;
	MotoCoder_TaskEvent_Post(&g_ApplicationInterruptTask_MailBox, CAN_1_ReceiveDispatch);
}
		break;
	
	default:
		break;
	}
}

/* CAN Interface for CAN_1 */
/* CAN transmit queue */
CANFrame_Queue FLEXCAN2_A_TransmitQueue;
CANFrame FLEXCAN2_A_TransmitQueueFrames[16 + 1];


/* CAN receive queue between buffer and dispatcher */
CANFrame_Queue FLEXCAN2_A_ReceiveQueue;
CANFrame FLEXCAN2_A_ReceiveQueueFrames[16 + 1];


/* Accessor for CAN Bus Health */
void CAN_1_Error_Status_Get(boolean_T* inout_bBusPassivePtr, uint8_T* inout_uTXErrorCountPtr, uint8_T* inout_uRXErrorCountPtr)
{
    U_CAN_ECR sECR;

    /* Get Error Counter Register (CANx_ECR)*/    
    sECR = FlexCAN2_ECR_Get(FLEXCAN2_A);
    
    if(inout_bBusPassivePtr)
    {
        /* If the value of TXECTR or RXECTR increases to be greater than or equal to 128 */
        /* The bus is deemed to be in the 'error passive' state */
        if((sECR.Obj.TXECNT > 127) || (sECR.Obj.RXECNT > 127))
        {
            *inout_bBusPassivePtr = TRUE;
        }
        else
        {
            *inout_bBusPassivePtr = FALSE;
        }
    }

    if(inout_uTXErrorCountPtr)
    {
        *inout_uTXErrorCountPtr = sECR.Obj.TXECNT;
    }

    if(inout_uRXErrorCountPtr)
    {
        *inout_uRXErrorCountPtr = sECR.Obj.RXECNT;
    }
}
boolean_T CAN_1_Transmit(boolean_T extended, uint32_T id, uint8_T length, const uint8_T data[])
{
	boolean_T ok;

	ok = CAN_Queued_Transmit(FLEXCAN2_A, &FLEXCAN2_A_TransmitQueue, extended, id, length, data);

	if (!ok) {
		{
        extern uint16_T Debug_CAN_1_TransmitOverrun;
        Debug_CAN_1_TransmitOverrun = (uint16_T) (SW_OVERRUN & ERROR_CODE_MASK);
    }
	}
return ok;
}
uint32_T CAN_1_TransmitQueueDepth(void)
{

	return CANFrame_Queue_Depth(&FLEXCAN2_A_TransmitQueue);

}


/* CAN receive slot queue between dispatcher and application */
CANFrame_Queue CAN_1_KeySuite_ReceiveQueue;
CANFrame CAN_1_KeySuite_ReceiveQueueFrames[4 + 1];

uint32_T CAN_1_KeySuite_DynamicID = 0x0;
uint32_T CAN_1_KeySuite_DynamicIDMask = 0x1FF00000;
void CAN_1_KeySuite_SetIDFilter(uint32_T id, uint32_T id_mask)
{
	CAN_1_KeySuite_DynamicID = id;
	CAN_1_KeySuite_DynamicIDMask = id_mask;
}
boolean_T CAN_1_KeySuite_Receive(boolean_T *extended, uint32_T *id, uint8_T *length, uint8_T data[])
{

	CANFrame rxFrame;
	int32_T i;
	if (!CANFrame_Queue_Dequeue(&CAN_1_KeySuite_ReceiveQueue, &rxFrame)) {
		return 0;
	}
	if (extended) *extended = rxFrame.extended;
	if (id) *id = rxFrame.id;
	if (length) *length = rxFrame.length;
	if (data) {
		for (i=0; i < rxFrame.length; i++) {
			data[i] = rxFrame.data[i];
		}
	}
	return 1;

}


void CAN_1_ReceiveDispatch(void)
{
	CANFrame *frame;
	while (1) {
		/* Get next received CAN frame */

		CANFrame rxFrame;
		if (!CANFrame_Queue_Dequeue(&FLEXCAN2_A_ReceiveQueue, &rxFrame)) {
			return;
		}
		frame = &rxFrame;

		/* CAN_1_KeySuite */
		if (
			(frame->extended == 1) &&
			((frame->id & 0x1FF00000) == 0x0) &&
			((frame->id & CAN_1_KeySuite_DynamicIDMask) == (CAN_1_KeySuite_DynamicID & CAN_1_KeySuite_DynamicIDMask))
		)
		{
			CANFrame_Queue_Enqueue(&CAN_1_KeySuite_ReceiveQueue, frame);
		}
	}
}
void CAN_1_Create(void)
{
	extern void FLEXCAN2_A_Create(void);

	
	CANFrame_Queue_Create(&FLEXCAN2_A_TransmitQueue, FLEXCAN2_A_TransmitQueueFrames, sizeof(FLEXCAN2_A_TransmitQueueFrames)/sizeof(CANFrame));
	
	CANFrame_Queue_Create(&FLEXCAN2_A_ReceiveQueue, FLEXCAN2_A_ReceiveQueueFrames, sizeof(FLEXCAN2_A_ReceiveQueueFrames)/sizeof(CANFrame));
	
	CANFrame_Queue_Create(&CAN_1_KeySuite_ReceiveQueue, CAN_1_KeySuite_ReceiveQueueFrames, sizeof(CAN_1_KeySuite_ReceiveQueueFrames)/sizeof(CANFrame));
	
	FLEXCAN2_A_Create();
}

