
/* MotoCoder_DataStore.c */
/* Generated by MotoCoder */
/* Version: 0.13.4 */
/* At: 2012-03-19 15:52:48 */
/* Copyright: 2012 Woodward. */


#include <MotoCoder_DataStore.h>

/* DataStore */
/*---- DEFINES --------------------------------------------------------------------------------------------*/
#define EXTERN_AS_CONST
#define rtInf                           (100000000000000000.000000)
#define rtMinusInf                      (-100000000000000000.000000)
  
/*---- TYPEDEFN -------------------------------------------------------------------------------------------*/

/*---- CONSTANTS ------------------------------------------------------------------------------------------*/
#include <Pragma_Section_Start_romcals_rodata.h>
     

const NonVolatile_T NonVolatileDefault __SECTION_ROMCALS_RODATA__=  
{
    
         (57245U), /* FormatID */
    
        0x0000,  /* CRC */
        0, /* MotoHawkModelSecondsInUse */ 
    11, /* CityID_CAN_1 */ 
    
};


#include <Pragma_Section_End_rodata.h>


#include <Pragma_Section_Start_AppVolatile_data.h>
Volatile_BSS_T VolatileWork_BSS
; 


#include <Pragma_Section_End_data.h>
 
#include <Pragma_Section_Start_cals_bss.h>
Constant_T ConstantWork __SECTION_CALS_BSS__;

#include <Pragma_Section_End_bss.h>
#include <Pragma_Section_Start_cals_storage_rodata.h>
const Constant_T  ConstantStorage __SECTION_CALIBRATION_STORAGE_RODATA__ = 
{
    100U, /* ECUP_Threshold */ 
    { 's', 'e', 'r', 'i', 'a', 'l', '_', 'd', 'e', 'm', 'o', '_', '0', '0', '0', '_', '0', '0', '0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0', '\0' }, /* CalIdTxt */ 
    
};    
#include <Pragma_Section_End_rodata.h>

    
  
/*---- SERIAL EEPROM VARIABLES ----------------------------------------------------------------------------*/


#include <Pragma_Section_Start_SerialEE_data.h>
uint8_T IsFirstApplicationBoot __SECTION_SERIALEE_DATA__ = 0xFF;

#include <Pragma_Section_Start_SerialEE_bss.h>
NonVolatile_T  NonVolatileStorage __SECTION_SERIALEE_BSS__;
        

    
/* Name: NonVolatileRestoreOnStartup ClassID:ENUMVAR StorageID:FLASH Access:RW4+RW3+RW2+RW1 TypeID:UINT1 CType:S_NVEEStatus
Struct:NonVolatileEEStatus.RestoreOnStartup  Mask:FFFFFFFF Gain:1.0 Offset:0.0 Exp:1.0 Min:0 Max:1 Format:1.0
EnumDec:E_NVRestore UpdateID:BACKGND Group:"System | NonVolatile Storage | NonVolatile Storage Config"
Help:"Selects whether to restore from factory defaults on next startup" */

/* Name: NonVolatileRestoreOnFirstStartup ClassID:ENUMVAR StorageID:FLASH Access:RW4+RW3+RW2+RW1 TypeID:UINT1 CType:S_NVEEStatus
Struct:NonVolatileEEStatus.RestoreOnFirstStartup  Mask:FFFFFFFF Gain:1.0 Offset:0.0 Exp:1.0 Min:0 Max:1 Format:1.0
EnumDec:E_NVRestore UpdateID:BACKGND Group:"System | NonVolatile Storage | NonVolatile Storage Config"
Help:"Selects whether to restore from factory defaults the first time an application boots" */

#include <Pragma_Section_Start_SerialEE_data.h>
S_NVEEStatus  NonVolatileEEStatus __SECTION_SERIALEE_DATA__ = 
{
    0, /* RestoreOnStartup */
    1  /* RestoreOnFirstStartup */
};

    
/*---- RAM VARIABLES --------------------------------------------------------------------------------------*/
#include <Pragma_Section_End_data.h>
#include <Pragma_Section_End_bss.h>


        
#include <Pragma_Section_Start_ramcals_bss.h>
NonVolatile_T NonVolatileWork __SECTION_RAMCALS_BSS__;
#include <Pragma_Section_End_bss.h>

/* Name: NonVolatileFormatID ClassID:VAR StorageID:RAM Access:RO4+RO3+RO2+RO1 TypeID:UINT4 CType:NonVolatile_T Struct:NonVolatileWork.FormatID
    Mask:FFFFFFFF Gain:1.0 Offset:0.0 Exp:1.0 Min:0 Max:4294967295 Format:8.0 UpdateID:BACKGND Group:"System | NonVolatile Storage"
Help:"Unique identifier of the NonVolatile memory format.  Used to validate whether stored variables are in the correct form for the program" */
    
    
    /* Name: NonVolatileStatus ClassID:ENUMVAR StorageID:RAM Access:RO4+RO3+RO2+RO1 TypeID:UINT1 CType:uint8_T Struct:NonVolatile_NonVolatileStatus
Mask:FFFFFFFF Gain:1.0 Offset:0.0 Exp:1.0 Min:0 Max:6 Format:1.0 UpdateID:BACKGND
Group:"System | NonVolatile Storage" Help:"Indicates how NonVolatile memory was loaded"  EnumDec:E_NVStatus */
uint8_T NonVolatile_NonVolatileStatus
= 0;
void NonVolatile_NonVolatileStatus_Reset(void)
{
    NonVolatile_NonVolatileStatus_DataStore()=NV_LOADED_FACTORY_USER_CMD;
}

    /* Name: NonVolatileCRC ClassID:VAR StorageID:RAM Access:RO4+RO3+RO2+RO1 TypeID:UINT4 CType:uint32_T Struct:NonVolatile_NonVolatileCRC
Mask:FFFFFFFF Gain:1.0 Offset:0.0 Exp:1.0 Min:0  Max:65535 Format:1.0 UpdateID:BACKGND 
Group:"System | NonVolatile Storage" Help:"Calculated NonVolatile CRC" */
uint32_T NonVolatile_NonVolatileCRC = 0;
#define NonVolatile_NonVolatileCRC_DataStore() (NonVolatile_NonVolatileCRC)


/*---- CODE SPACE -----------------------------------------------------------------------------------------*/
#include <Pragma_Section_End_data.h>
#include <Pragma_Section_End_bss.h>

     
uint16_T calculate_crc(void *pointer, uint32_T number_bytes, uint16_T icrc)
{
    uint32_T bitmask;
    uint32_T mdx;
    uint8_T *pointer1 = (uint8_T *) pointer;
    
    for(mdx=0; mdx < number_bytes; mdx++) 
    {
        bitmask = 1 << 7;
        do 
        {
            if ( !(icrc & 0x8000) ^ !(*pointer1 & bitmask)) 
            {
                icrc <<= 1;
                icrc ^= 0x8005;
            }
            else 
            {
                icrc <<= 1;
            }
        } while ( bitmask >>= 1);
        pointer1++;
    }
    return icrc;
}
void  NonVolatile_RestoreDefaultNonVolatile(void)
{
    Interrupt_Disable();
    {
        MemReadSynch((void *)&NonVolatileWork, (void const* __FAR_POINTER)&NonVolatileDefault, sizeof(NonVolatile_T));

        NonVolatileWork.CRC = 0xFFFF;
        NonVolatileWork.CRC = calculate_crc(&NonVolatileWork.CRC, sizeof(NonVolatile_T) - NON_VOLATILE_OVERHEAD_BYTES, (uint16_T) NonVolatileWork.CRC);
        NonVolatile_NonVolatileCRC_DataStore() = NonVolatileWork.CRC;

    }
    Interrupt_Enable();
}

void  NonVolatile_StoreNonVolatile(void)
{
    	
        uint16_T icrc = 0xFFFFU;
        uint32_T * work_ptr = (uint32_T*)&NonVolatileWork;
        uint32_T * storage_ptr = (uint32_T*)&NonVolatileStorage;
        uint32_T word_count = (sizeof(NonVolatile_T)  - NON_VOLATILE_OVERHEAD_BYTES) / 4;
        uint32_T final_byte_count = (sizeof(NonVolatile_T)  - NON_VOLATILE_OVERHEAD_BYTES) % 4;
        uint32_T tmp_word[2];
        uint8_T oldStatus = NonVolatile_NonVolatileStatus_DataStore();
        NativeVar_U i;
        NativeError_S write_result;


        NonVolatile_NonVolatileStatus_DataStore() = NV_STORING_EEPROM;

        work_ptr += NON_VOLATILE_OVERHEAD_WORDS;
        storage_ptr += NON_VOLATILE_OVERHEAD_WORDS;

        /* 
            It is most efficient to write the data in one blob, but the duration may be long 
            enough where another thread can alter the data. Therefore we checksum the contents
            of the EEPROM as written.
        */
        
write_result = MemWriteSynch(storage_ptr, work_ptr, (sizeof(NonVolatile_T) - NON_VOLATILE_OVERHEAD_BYTES));

    
        /* If the driver indicate's a write failure, we invalidate the CRC location. */
        if(SUCCESS(write_result))
        {
            
                for (i=0; i < (word_count/_countof(tmp_word)); i++ )
                {
                    MemReadSynch(&tmp_word[0], storage_ptr, sizeof(tmp_word[0]) * _countof(tmp_word));
                    icrc = calculate_crc(&tmp_word[0], sizeof(tmp_word[0]) * _countof(tmp_word), icrc);
                    storage_ptr += _countof(tmp_word);
                }
                for (i=0; i < (word_count % _countof(tmp_word)); i++)
                {
                    MemReadSynch(&tmp_word[0], storage_ptr, sizeof(tmp_word[0]));
                    icrc = calculate_crc(&tmp_word[0], sizeof(tmp_word[0]), icrc);
                    storage_ptr++;
                }
                if (final_byte_count > 0)
                {
                    MemReadSynch(&tmp_word[0], storage_ptr, final_byte_count);
                    icrc = calculate_crc(&tmp_word[0], final_byte_count, icrc);
                }
            
        }
        NonVolatile_NonVolatileCRC_DataStore() = icrc;
        MemWriteSynch((void *  ) &NonVolatileStorage.CRC, &NonVolatile_NonVolatileCRC_DataStore(), sizeof(NonVolatile_NonVolatileCRC_DataStore()));
    
        MemWriteSynch(&NonVolatileStorage.FormatID, &NonVolatileWork.FormatID, sizeof(NonVolatileStorage.FormatID));
    
        NonVolatile_NonVolatileStatus_DataStore() = oldStatus;
 }
    
void  NonVolatile_OpenNonVolatile(NativeBool firstApplicationBoot)
{
    
    uint32_T storedNonVolatileFormatID      = 0;
    uint32_T compiledNonVolatileFormatID    = 0;
    uint8_T restoreFactoryDefaultsFirstBoot = 0;
    
    uint8_T restoreFactoryDefaults          = 0;
    S_NVEEStatus* const  pEEStatus           = &NonVolatileEEStatus;
    uint8_T* pStatus               = &NonVolatile_NonVolatileStatus_DataStore();
    
        uint32_T* const pCRC               = &NonVolatile_NonVolatileCRC_DataStore();
        uint16_T icrc = 0xFFFFU;
    
    MemReadSynch((void*)&restoreFactoryDefaults, 
                 (void*  )&pEEStatus->RestoreOnStartup, 
                 sizeof(pEEStatus->RestoreOnStartup));
    
    
    MemReadSynch((void*)&restoreFactoryDefaultsFirstBoot, 
                 (void*  )&pEEStatus->RestoreOnFirstStartup,
                 sizeof(pEEStatus->RestoreOnFirstStartup));

    MemReadSynch((void*)&storedNonVolatileFormatID, 
                 (void *  ) &NonVolatileStorage.FormatID, 
                 sizeof(NonVolatileStorage.FormatID));

	MemReadSynch((void*)&compiledNonVolatileFormatID, 
                 (void const* __FAR_POINTER) &NonVolatileDefault.FormatID, 
                 sizeof(NonVolatileDefault.FormatID));
    
    
    
    if((firstApplicationBoot && restoreFactoryDefaultsFirstBoot) ||  restoreFactoryDefaults)
    {         
        *pStatus = NV_LOADING_FACTORY;
        
        NonVolatile_RestoreDefaultNonVolatile();
        restoreFactoryDefaults = 0;
        MemWriteSynch((void*  )&pEEStatus->RestoreOnStartup, 
                      (void*)&restoreFactoryDefaults, 
                      sizeof(pEEStatus->RestoreOnStartup));

        *pStatus = NV_LOADED_FACTORY_USER_CMD;
    }
    
    else if(storedNonVolatileFormatID != compiledNonVolatileFormatID)
    {
        *pStatus = NV_LOADING_FACTORY;
        NonVolatile_RestoreDefaultNonVolatile();
        
        *pStatus = NV_LOADED_FACTORY_BAD_MAGIC;
    }
    else
    
    {
        uint8_T *work_ptr = (uint8_T *) &NonVolatileWork;
        uint8_T *  storage_ptr = (uint8_T * ) &NonVolatileStorage;

        *pStatus = NV_LOADING_EEPROM;

        work_ptr += NON_VOLATILE_OVERHEAD_BYTES;
        storage_ptr += NON_VOLATILE_OVERHEAD_BYTES;
    
        MemReadSynch(work_ptr, storage_ptr, (sizeof(NonVolatile_T) - NON_VOLATILE_OVERHEAD_BYTES));
        MemReadSynch(&NonVolatileWork.FormatID, (void *  ) &NonVolatileStorage.FormatID, sizeof(NonVolatileStorage.FormatID));
        icrc = calculate_crc(work_ptr, (sizeof(NonVolatile_T) - NON_VOLATILE_OVERHEAD_BYTES), icrc);

        NonVolatile_NonVolatileCRC_DataStore() = (uint32_T) icrc;
        
        MemReadSynch(&NonVolatileWork.CRC, (void *  ) &NonVolatileStorage.CRC, sizeof(NonVolatileStorage.CRC));
        
         if(*pCRC != NonVolatileWork.CRC)
        {
            *pStatus = NV_LOADING_FACTORY;
            NonVolatile_RestoreDefaultNonVolatile();
            *pStatus = NV_LOADED_FACTORY_BAD_CRC;
        }
        else
        {
            *pStatus = NV_LOADED_EEPROM;
        }
        
    }
}
void NonVolatile_OpenDataStore(void)
{

    uint8_T firstApplicationBoot            = 0;

    MemReadSynch((void*)&firstApplicationBoot, 
        (void* )&IsFirstApplicationBoot, 
        sizeof(IsFirstApplicationBoot));
    
    
        NonVolatile_OpenNonVolatile(firstApplicationBoot);
    
    
    if (firstApplicationBoot)
    {
        firstApplicationBoot = 0;
        MemWriteSynch((void * )&IsFirstApplicationBoot, (void*)&firstApplicationBoot, sizeof(IsFirstApplicationBoot));
    }    
    
}
void NonVolatile_CloseDataStore(void)
{
    
}

