
/* MotoCoder_DataStore.h */
/* Generated by MotoCoder */
/* Version: 0.13.4 */
/* At: 2012-03-19 15:52:48 */
/* Copyright: 2012 Woodward. */


#ifndef MOTOCODER_DATASTORE_H
#define MOTOCODER_DATASTORE_H



#include <MotoCoder_Types.h>
#include <MotoCoder.h>
#include <MTTypes.h>
#include <Processor.h>
#include <Processor_Generic.h>
	


/*---- DEFINES --------------------------------------------------------------------------------------------*/

#define NON_VOLATILE_OVERHEAD_BYTES     (4 + 4)
  
#define NON_VOLATILE_OVERHEAD_WORDS     (NON_VOLATILE_OVERHEAD_BYTES / 4)
#define FIXED_NON_VOLATILE_OVERHEAD_BYTES     (0)
#define FIXED_NON_VOLATILE_OVERHEAD_WORDS     (FIXED_NON_VOLATILE_OVERHEAD_BYTES / 4)

/*---- TYPEDEFN -------------------------------------------------------------------------------------------*/
/* Name: E_NVStatus ClassID:ENUMDEC EnumDflt:"Illegal" */
typedef enum
{
  NV_LOADING_FACTORY,                   /* EnumTxt:"Currently loading NV from Factory FLASH to RAM" */
  NV_LOADING_EEPROM,                    /* EnumTxt:"Currently loading NV from EEPROM to RAM" */
  NV_STORING_EEPROM,                    /* EnumTxt:"Currently storing NV from RAM to EEPROM" */
  NV_LOADED_FACTORY_BAD_MAGIC,          /* EnumTxt:"Detected new program.  Loaded Factory Defaults from FLASH" */
  NV_LOADED_FACTORY_BAD_CRC,            /* EnumTxt:"CRC failure.  Loaded Factory Defaults from FLASH" */
  NV_LOADED_FACTORY_USER_CMD,           /* EnumTxt:"User requested refresh from Factory Defaults in FLASH." */
  NV_LOADED_EEPROM                      /* EnumTxt:"Successful refresh of EEPROM values from last shutdown" */
} E_NVStatus;

/* Name: E_NVRestore ClassID:ENUMDEC EnumDflt:"Illegal" */
typedef enum
{
  NV_RESTORE_APP,                       /* EnumTxt:"Load saved application values on next startup" */
  NV_RESTORE_DEFAULTS,                  /* EnumTxt:"Load factory defaults on next startup" */
} E_NVRestore;

typedef struct S_NVEEStatus
{
    uint8_T RestoreOnStartup;
    uint8_T RestoreOnFirstStartup;
}S_NVEEStatus;



     

/* NonVolatile namespace */
typedef struct {
    uint32_T FormatID;
    
    uint32_T CRC;
        uint32_T   MotoHawkModelSecondsInUse;
    uint8_T   CityID_CAN_1;

} NonVolatile_T;
#define MotoHawkModelSecondsInUse_MemoryWriteAsynch()  (Memory_WriteAsynch( (void*) & NonVolatileStorage.MotoHawkModelSecondsInUse, (void* const) & NonVolatileWork.MotoHawkModelSecondsInUse, (NativeVar_U) MotoHawkModelSecondsInUse_DataStore_BYTES(), NULL, (NativePtrSizedInt_U) NULL))
#define MotoHawkModelSecondsInUse_DataStore_BYTES() (sizeof(MotoHawkModelSecondsInUse_DataStore()))
#define MotoHawkModelSecondsInUse_DataStore_ELEMS() (1 * 1)
#define MotoHawkModelSecondsInUse_DataStore_ROWS() (1)
#define MotoHawkModelSecondsInUse_DataStore_COLS() (1)
#define MotoHawkModelSecondsInUse_DataStore()  (NonVolatileWork.MotoHawkModelSecondsInUse)

#define CityID_CAN_1_MemoryWriteAsynch()  (Memory_WriteAsynch( (void*) & NonVolatileStorage.CityID_CAN_1, (void* const) & NonVolatileWork.CityID_CAN_1, (NativeVar_U) CityID_CAN_1_DataStore_BYTES(), NULL, (NativePtrSizedInt_U) NULL))
#define CityID_CAN_1_DataStore_BYTES() (sizeof(CityID_CAN_1_DataStore()))
#define CityID_CAN_1_DataStore_ELEMS() (1 * 1)
#define CityID_CAN_1_DataStore_ROWS() (1)
#define CityID_CAN_1_DataStore_COLS() (1)
#define CityID_CAN_1_DataStore()  (NonVolatileWork.CityID_CAN_1)


/* constants namespace */
typedef struct {
    uint16_T   ECUP_Threshold;
    uint8_T   CalIdTxt[33];

} Constant_T;
#define ECUP_Threshold_DataStore_BYTES() (sizeof(ECUP_Threshold_DataStore()))
#define ECUP_Threshold_DataStore_ELEMS() (1 * 1)
#define ECUP_Threshold_DataStore_ROWS() (1)
#define ECUP_Threshold_DataStore_COLS() (1)
#define ECUP_Threshold_DataStore()  (ConstantWork.ECUP_Threshold)

#define CalIdTxt_DataStore_BYTES() (sizeof(CalIdTxt_DataStore()))
#define CalIdTxt_DataStore_ELEMS() (1 * 33)
#define CalIdTxt_DataStore_ROWS() (1)
#define CalIdTxt_DataStore_COLS() (33)
#define CalIdTxt_DataStore()  (ConstantWork.CalIdTxt)


/* volatile (zero initialized) namespace */
typedef struct {
    boolean_T   MPRD;
    boolean_T   MPRD_KeepAlive;
    boolean_T   MPRD_new;
    boolean_T   MPRD_ovr;
    boolean_T   ProcessorReboot;
    boolean_T   RestoreNVFactoryDefaults;
    boolean_T   StoreNV;

} Volatile_BSS_T;

#define MPRD_DataStore_BYTES() (sizeof(MPRD_DataStore()))
#define MPRD_DataStore_ELEMS() (1 * 1)
#define MPRD_DataStore_ROWS() (1)
#define MPRD_DataStore_COLS() (1)
#define MPRD_DataStore()  (VolatileWork_BSS.MPRD)

#define MPRD_KeepAlive_DataStore_BYTES() (sizeof(MPRD_KeepAlive_DataStore()))
#define MPRD_KeepAlive_DataStore_ELEMS() (1 * 1)
#define MPRD_KeepAlive_DataStore_ROWS() (1)
#define MPRD_KeepAlive_DataStore_COLS() (1)
#define MPRD_KeepAlive_DataStore()  (VolatileWork_BSS.MPRD_KeepAlive)

#define MPRD_new_DataStore_BYTES() (sizeof(MPRD_new_DataStore()))
#define MPRD_new_DataStore_ELEMS() (1 * 1)
#define MPRD_new_DataStore_ROWS() (1)
#define MPRD_new_DataStore_COLS() (1)
#define MPRD_new_DataStore()  (VolatileWork_BSS.MPRD_new)

#define MPRD_ovr_DataStore_BYTES() (sizeof(MPRD_ovr_DataStore()))
#define MPRD_ovr_DataStore_ELEMS() (1 * 1)
#define MPRD_ovr_DataStore_ROWS() (1)
#define MPRD_ovr_DataStore_COLS() (1)
#define MPRD_ovr_DataStore()  (VolatileWork_BSS.MPRD_ovr)

#define ProcessorReboot_DataStore_BYTES() (sizeof(ProcessorReboot_DataStore()))
#define ProcessorReboot_DataStore_ELEMS() (1 * 1)
#define ProcessorReboot_DataStore_ROWS() (1)
#define ProcessorReboot_DataStore_COLS() (1)
#define ProcessorReboot_DataStore()  (VolatileWork_BSS.ProcessorReboot)

#define RestoreNVFactoryDefaults_DataStore_BYTES() (sizeof(RestoreNVFactoryDefaults_DataStore()))
#define RestoreNVFactoryDefaults_DataStore_ELEMS() (1 * 1)
#define RestoreNVFactoryDefaults_DataStore_ROWS() (1)
#define RestoreNVFactoryDefaults_DataStore_COLS() (1)
#define RestoreNVFactoryDefaults_DataStore()  (VolatileWork_BSS.RestoreNVFactoryDefaults)

#define StoreNV_DataStore_BYTES() (sizeof(StoreNV_DataStore()))
#define StoreNV_DataStore_ELEMS() (1 * 1)
#define StoreNV_DataStore_ROWS() (1)
#define StoreNV_DataStore_COLS() (1)
#define StoreNV_DataStore()  (VolatileWork_BSS.StoreNV)


#include <Pragma_Section_Start_cals_bss.h>
extern Constant_T ConstantWork __SECTION_CALS_BSS__; 
#include <Pragma_Section_End_bss.h>

        #include <Pragma_Section_Start_cals_storage_rodata.h>
        extern const Constant_T  ConstantStorage __SECTION_CALIBRATION_STORAGE_RODATA__;    
    
#include <Pragma_Section_End_rodata.h>
    
#include <Pragma_Section_Start_romcals_rodata.h>
extern const NonVolatile_T NonVolatileDefault __SECTION_ROMCALS_RODATA__;
#include <Pragma_Section_End_rodata.h>
    
#include <Pragma_Section_Start_SerialEE_data.h>
#include <Pragma_Section_Start_SerialEE_bss.h>

extern NonVolatile_T  NonVolatileStorage __SECTION_SERIALEE_BSS__;

#include <Pragma_Section_End_data.h>
#include <Pragma_Section_End_bss.h>
    
#include <Pragma_Section_Start_ramcals_bss.h>
extern NonVolatile_T NonVolatileWork __SECTION_RAMCALS_BSS__;
#include <Pragma_Section_End_bss.h>
    
    #define NonVolatile_NonVolatileStatus_DataStore() (NonVolatile_NonVolatileStatus)
    /* DataStore */
extern Volatile_BSS_T VolatileWork_BSS;

extern uint8_T NonVolatile_NonVolatileStatus;

extern void NonVolatile_NonVolatileStatus_Reset(void);

extern void NonVolatile_RestoreDefaultNonVolatile(void);

extern void NonVolatile_OpenDataStore(void);

extern void NonVolatile_CloseDataStore(void);


#endif

