
/* MotoCoder_ModuleSupport_INTC.c */
/* Generated by MotoCoder */
/* Version: 0.13.4 */
/* At: 2012-03-19 15:52:48 */
/* Copyright: 2012 Woodward. */


#include <Module.h>
#include <Processor.h>



        

#ifndef __TARGET_PROCESSOR
    #error The define __TARGET_PROCESSOR is expected
#elif (  (!defined MPC5534_TARGET) \
       ||(!defined MPC5554_TARGET) \
       ||(!defined MPC5553_TARGET) \
       ||(!defined MPC5644A_TARGET) \
       ||(!defined MPC5566_TARGET) )
    #error The TARGET defines were missing
#elif ( (!defined TARGET_PROCESSOR_FAMILY_MPC55XX) || (!defined TARGET_PROCESSOR_FAMILY_MPC56XX) )
    #error Expected defines TARGET_PROCESSOR_FAMILY_MPC55XX/MPC56XX not defined
#elif (  (__TARGET_PROCESSOR != MPC5534_TARGET) \
       &&(__TARGET_PROCESSOR != MPC5554_TARGET) \
       &&(__TARGET_PROCESSOR != MPC5553_TARGET) \
       &&(__TARGET_PROCESSOR != MPC5644A_TARGET) \
       &&(__TARGET_PROCESSOR != MPC5566_TARGET) )
    #error The INTC vector table does not handle the target processor
#endif

/*---- DEFINES --------------------------------------------------------------------------------------------*/

/*---- TYPEDEF --------------------------------------------------------------------------------------------*/

/*---- FUNCTION PROTOTYPES --------------------------------------------------------------------------------*/

/*---- CONSTANTS ------------------------------------------------------------------------------------------*/
#include <Pragma_Section_Start_CC_IRQVectors.h>

S_INTC_SWVector const g_INTC_IRQVectorTable[] __SECTION_CCIRQVECTORS_RODATA__ =
{
    {&SWISR_IRQHandler,        INTC_SWISR_0,                                                                          EIRQ_SWISR},    /*   0 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_1,                                                                          EIRQ_SWISR},    /*   1 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_2,                                                                          EIRQ_SWISR},    /*   2 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_3,                                                                          EIRQ_SWISR},    /*   3 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_4,                                                                          EIRQ_SWISR},    /*   4 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_5,                                                                          EIRQ_SWISR},    /*   5 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_6,                                                                          EIRQ_SWISR},    /*   6 - Software Interrupt Sources */
    {&SWISR_IRQHandler,        INTC_SWISR_7,                                                                          EIRQ_SWISR},    /*   7 - Software Interrupt Sources */
#if (__TARGET_PROCESSOR_FAMILY == TARGET_PROCESSOR_FAMILY_MPC55XX)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ECSM_SWTIR_SWTIC),                                    EIRQ_OTHER},    /*   8 - */
#elif (__TARGET_PROCESSOR_FAMILY == TARGET_PROCESSOR_FAMILY_MPC56XX)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ECSM_RESERVED),                                       EIRQ_OTHER},    /*   8 - */
#else
    #error This include does not cater for the chosen processor family
#endif
    {&ECSM_ExtIRQHandler,      EncodeInterruptSourceISRInfo(ISR_ECSM_ESR),                                            EIRQ_OTHER},    /*   9 - Internal SRAM Non-Correctable Error or Flash Non-Correctable Error */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_ERL_ERRL),                                       EIRQ_DMA},      /*  10 - eDMA error [0:31]  */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_CFFF0, eQADC_ISR_CFIF_0),                                EIRQ_DMA},      /*  11 - eDMA channel Interrupt 0 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_RFDF0, eQADC_ISR_RFIF_0),                                EIRQ_DMA},      /*  12 - eDMA channel Interrupt 1 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_CFFF1, eQADC_ISR_CFIF_1),                                EIRQ_DMA},      /*  13 - eDMA channel Interrupt 2 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_RFDF1, eQADC_ISR_RFIF_1),                                EIRQ_DMA},      /*  14 - eDMA channel Interrupt 3 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_CFFF2, eQADC_ISR_CFIF_2),                                EIRQ_DMA},      /*  15 - eDMA channel Interrupt 4 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_RFDF2, eQADC_ISR_RFIF_2),                                EIRQ_DMA},      /*  16 - eDMA channel Interrupt 5 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_CFFF3, eQADC_ISR_CFIF_3),                                EIRQ_DMA},      /*  17 - eDMA channel Interrupt 6 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_RFDF3, eQADC_ISR_RFIF_3),                                EIRQ_DMA},      /*  18 - eDMA channel Interrupt 7 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_CFFF4, eQADC_ISR_CFIF_4),                                EIRQ_DMA},      /*  19 - eDMA channel Interrupt 8 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_RFDF4, eQADC_ISR_RFIF_4),                                EIRQ_DMA},      /*  20 - eDMA channel Interrupt 9 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_CFFF5, eQADC_ISR_CFIF_5),                                EIRQ_DMA},      /*  21 - eDMA channel Interrupt 10 */
    {&eQADCCommon_eDMA_ISR,    eDMA_EncodeISRInfo(eDMA_eQADC_RFDF5, eQADC_ISR_RFIF_5),                                EIRQ_DMA},      /*  22 - eDMA channel Interrupt 11 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT12),                                    EIRQ_DMA},      /*  23 - eDMA channel Interrupt 12 */
    {&SPI_Module_CombinedISR,  eDMA_EncodeISRInfo(eDMA_DSPI_B_RX_FDF, DSPI_B),                                        EIRQ_DMA},      /*  24 - eDMA channel Interrupt 13 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT14),                                    EIRQ_DMA},      /*  25 - eDMA channel Interrupt 14 */
    {&SPI_Module_CombinedISR,  eDMA_EncodeISRInfo(eDMA_DSPI_C_RX_FDF, DSPI_C),                                        EIRQ_DMA},      /*  26 - eDMA channel Interrupt 15 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT16),                                    EIRQ_DMA},      /*  27 - eDMA channel Interrupt 16 */
    {&SPI_Module_CombinedISR,  eDMA_EncodeISRInfo(eDMA_DSPI_D_RX_FDF, DSPI_D),                                        EIRQ_DMA},      /*  28 - eDMA channel Interrupt 17 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT18),                                    EIRQ_DMA},      /*  29 - eDMA channel Interrupt 18 */
    {&SCI_eDMA_RxHalfISR,      EncodeESCIRxHalfISRInfo(ESCI_A, eDMA_eSCI_A_COMB_RX),                                  EIRQ_DMA},      /*  30 - eDMA channel Interrupt 19 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT20),                                    EIRQ_DMA},      /*  31 - eDMA channel Interrupt 20 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT21),                                    EIRQ_DMA},      /*  32 - eDMA channel Interrupt 21 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT22),                                    EIRQ_DMA},      /*  33 - eDMA channel Interrupt 22 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT23),                                    EIRQ_DMA},      /*  34 - eDMA channel Interrupt 23 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT24),                                    EIRQ_DMA},      /*  35 - eDMA channel Interrupt 24 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT25),                                    EIRQ_DMA},      /*  36 - eDMA channel Interrupt 25 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRL_INT26),                                    EIRQ_DMA},      /*  37 - eDMA channel Interrupt 26 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_0, ETPU1_A_CHAN0),                                 EIRQ_DMA},      /*  38 - eDMA channel Interrupt 27 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_1, ETPU1_A_CHAN1),                                 EIRQ_DMA},      /*  39 - eDMA channel Interrupt 28 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_2, ETPU1_A_CHAN2),                                 EIRQ_DMA},      /*  40 - eDMA channel Interrupt 29 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_14,ETPU1_A_CHAN14),                                EIRQ_DMA},      /*  41 - eDMA channel Interrupt 30 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_15,ETPU1_A_CHAN15),                                EIRQ_DMA},      /*  42 - eDMA channel Interrupt 31 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FMPLL_SYNSR_LOCF),                                    EIRQ_OTHER},    /*  43 - FMPLL Loss of Clock Flag */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FMPLL_SYNSR_LOLF),                                    EIRQ_OTHER},    /*  44 - FMPLL Loss of Lock Flag */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_SIU_OSR_OVF),                                         EIRQ_OTHER},    /*  45 - Overrun interrupt request */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_SIU_EIISR_EIF0),                                      EIRQ_OTHER},    /*  46 - SIU External Interrupt Flag 0 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_SIU_EIISR_EIF1),                                      EIRQ_OTHER},    /*  47 - SIU External Interrupt Flag 1 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_SIU_EIISR_EIF2),                                      EIRQ_OTHER},    /*  48 - SIU External Interrupt Flag 2 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_SIU_EIISR_EIF3),                                      EIRQ_OTHER},    /*  49 - SIU External Interrupt Flag 3 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_SIU_EIISR_EIF15_4),                                   EIRQ_OTHER},    /*  50 - SIU External Interrupt Flag 15 - 4 */
    {&eMIOS_ISR,               eMIOS_0,                                                                               EIRQ_EMIOS},    /*  51 - eMIOS channel 0 Flag */
    {&eMIOS_ISR,               eMIOS_1,                                                                               EIRQ_EMIOS},    /*  52 - eMIOS channel 1 Flag */
    {&eMIOS_ISR,               eMIOS_2,                                                                               EIRQ_EMIOS},    /*  53 - eMIOS channel 2 Flag */
    {&eMIOS_ISR,               eMIOS_3,                                                                               EIRQ_EMIOS},    /*  54 - eMIOS channel 3 Flag */
    {&eMIOS_ISR,               eMIOS_4,                                                                               EIRQ_EMIOS},    /*  55 - eMIOS channel 4 Flag */
    {&eMIOS_ISR,               eMIOS_5,                                                                               EIRQ_EMIOS},    /*  56 - eMIOS channel 5 Flag */
    {&eMIOS_ISR,               eMIOS_6,                                                                               EIRQ_EMIOS},    /*  57 - eMIOS channel 6 Flag */
    {&eMIOS_ISR,               eMIOS_7,                                                                               EIRQ_EMIOS},    /*  58 - eMIOS channel 7 Flag */
    {&eMIOS_ISR,               eMIOS_8,                                                                               EIRQ_EMIOS},    /*  59 - eMIOS channel 8 Flag */
    {&eMIOS_ISR,               eMIOS_9,                                                                               EIRQ_EMIOS},    /*  60 - eMIOS channel 9 Flag */
    {&eMIOS_ISR,               eMIOS_10,                                                                              EIRQ_EMIOS},    /*  61 - eMIOS channel 10 Flag */
    {&eMIOS_ISR,               eMIOS_11,                                                                              EIRQ_EMIOS},    /*  62 - eMIOS channel 11 Flag */
    {&eMIOS_ISR,               eMIOS_12,                                                                              EIRQ_EMIOS},    /*  63 - eMIOS channel 12 Flag */
    {&eMIOS_ISR,               eMIOS_13,                                                                              EIRQ_EMIOS},    /*  64 - eMIOS channel 13 Flag */
    {&eMIOS_ISR,               eMIOS_14,                                                                              EIRQ_EMIOS},    /*  65 - eMIOS channel 14 Flag */
    {&eMIOS_ISR,               eMIOS_15,                                                                              EIRQ_EMIOS},    /*  66 - eMIOS channel 15 Flag */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ETPU_MCR),                                            EIRQ_TPU},      /*  67 - eTPU Global exception */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN0),                                       EIRQ_TPU},      /*  68 - eTPU Engine A channel 0 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN1),                                       EIRQ_TPU},      /*  69 - eTPU Engine A channel 1 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN2),                                       EIRQ_TPU},      /*  70 - eTPU Engine A channel 2 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN3),                                       EIRQ_TPU},      /*  71 - eTPU Engine A channel 3 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN4),                                       EIRQ_TPU},      /*  72 - eTPU Engine A channel 4 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN5),                                       EIRQ_TPU},      /*  73 - eTPU Engine A channel 5 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN6),                                       EIRQ_TPU},      /*  74 - eTPU Engine A channel 6 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN7),                                       EIRQ_TPU},      /*  75 - eTPU Engine A channel 7 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN8),                                       EIRQ_TPU},      /*  76 - eTPU Engine A channel 8 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN9),                                       EIRQ_TPU},      /*  77 - eTPU Engine A channel 9 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN10),                                      EIRQ_TPU},      /*  78 - eTPU Engine A channel 10 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN11),                                      EIRQ_TPU},      /*  79 - eTPU Engine A channel 11 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN12),                                      EIRQ_TPU},      /*  80 - eTPU Engine A channel 12 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN13),                                      EIRQ_TPU},      /*  81 - eTPU Engine A channel 13 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN14),                                      EIRQ_TPU},      /*  82 - eTPU Engine A channel 14 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN15),                                      EIRQ_TPU},      /*  83 - eTPU Engine A channel 15 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN16),                                      EIRQ_TPU},      /*  84 - eTPU Engine A channel 16 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN17),                                      EIRQ_TPU},      /*  85 - eTPU Engine A channel 17 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN18),                                      EIRQ_TPU},      /*  86 - eTPU Engine A channel 18 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN19),                                      EIRQ_TPU},      /*  87 - eTPU Engine A channel 19 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN20),                                      EIRQ_TPU},      /*  88 - eTPU Engine A channel 20 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN21),                                      EIRQ_TPU},      /*  89 - eTPU Engine A channel 21 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN22),                                      EIRQ_TPU},      /*  90 - eTPU Engine A channel 22 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN23),                                      EIRQ_TPU},      /*  91 - eTPU Engine A channel 23 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN24),                                      EIRQ_TPU},      /*  92 - eTPU Engine A channel 24 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN25),                                      EIRQ_TPU},      /*  93 - eTPU Engine A channel 25 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN26),                                      EIRQ_TPU},      /*  94 - eTPU Engine A channel 26 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN27),                                      EIRQ_TPU},      /*  95 - eTPU Engine A channel 27 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN28),                                      EIRQ_TPU},      /*  96 - eTPU Engine A channel 28 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN29),                                      EIRQ_TPU},      /*  97 - eTPU Engine A channel 29 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN30),                                      EIRQ_TPU},      /*  98 - eTPU Engine A channel 30 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_A_CHAN31),                                      EIRQ_TPU},      /*  99 - eTPU Engine A channel 31 Interrupt status */
    {&eQADCCommon_Combined_Overrun_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FISR,         NUM_eQADC_QUEUE),           EIRQ_ADC},      /* 100 - eQADC combined overrun interrupt requests */
    {&eQADCCommon_CFIFO_NonCoherency_ISR,     eQADC_EncodeISRInfo(eQADC_ISR_FIFO_0_NCF,   eQADC_QUEUE_0),             EIRQ_ADC},      /* 101 - eQADC command FIFO 0 Non-Coherency Flag               */
    {&eQADCCommon_CFIFO_Pause_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_0_PF,    eQADC_QUEUE_0),             EIRQ_ADC},      /* 102 - eQADC command FIFO 0 Pause Flag                       */
    {&eQADCCommon_CFIFO_EndOfQueue_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FIFO_0_EOQF,  eQADC_QUEUE_0),             EIRQ_ADC},      /* 103 - eQADC command FIFO 0 command queue End of Queue Flag  */
    {&eQADCCommon_CFIFO_Fill_ISR,             eQADC_EncodeISRInfo(eQADC_ISR_FIFO_0_CFFF,  eQADC_QUEUE_0),             EIRQ_ADC},      /* 104 - eQADC Command FIFO 0 Fill Flag                        */
    {&eQADCCommon_RFIFO_Drain_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_0_RFDF,  eQADC_QUEUE_0),             EIRQ_ADC},      /* 105 - eQADC Receive FIFO 0 Drain Flag                       */
    {&eQADCCommon_CFIFO_NonCoherency_ISR,     eQADC_EncodeISRInfo(eQADC_ISR_FIFO_1_NCF,   eQADC_QUEUE_1),             EIRQ_ADC},      /* 106 - eQADC command FIFO 1 Non-Coherency Flag               */
    {&eQADCCommon_CFIFO_Pause_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_1_PF,    eQADC_QUEUE_1),             EIRQ_ADC},      /* 107 - eQADC command FIFO 1 Pause Flag                       */
    {&eQADCCommon_CFIFO_EndOfQueue_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FIFO_1_EOQF,  eQADC_QUEUE_1),             EIRQ_ADC},      /* 108 - eQADC command FIFO 1 command queue End of Queue Flag  */
    {&eQADCCommon_CFIFO_Fill_ISR,             eQADC_EncodeISRInfo(eQADC_ISR_FIFO_1_CFFF,  eQADC_QUEUE_1),             EIRQ_ADC},      /* 109 - eQADC Command FIFO 1 Fill Flag                        */
    {&eQADCCommon_RFIFO_Drain_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_1_RFDF,  eQADC_QUEUE_1),             EIRQ_ADC},      /* 110 - eQADC Receive FIFO 1 Drain Flag                       */
    {&eQADCCommon_CFIFO_NonCoherency_ISR,     eQADC_EncodeISRInfo(eQADC_ISR_FIFO_2_NCF,   eQADC_QUEUE_2),             EIRQ_ADC},      /* 111 - eQADC command FIFO 2 Non-Coherency Flag               */
    {&eQADCCommon_CFIFO_Pause_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_2_PF,    eQADC_QUEUE_2),             EIRQ_ADC},      /* 112 - eQADC command FIFO 2 Pause Flag                       */
    {&eQADCCommon_CFIFO_EndOfQueue_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FIFO_2_EOQF,  eQADC_QUEUE_2),             EIRQ_ADC},      /* 113 - eQADC command FIFO 2 command queue End of Queue Flag  */
    {&eQADCCommon_CFIFO_Fill_ISR,             eQADC_EncodeISRInfo(eQADC_ISR_FIFO_2_CFFF,  eQADC_QUEUE_2),             EIRQ_ADC},      /* 114 - eQADC Command FIFO 2 Fill Flag                        */
    {&eQADCCommon_RFIFO_Drain_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_2_RFDF,  eQADC_QUEUE_2),             EIRQ_ADC},      /* 115 - eQADC Receive FIFO 2 Drain Flag                       */
    {&eQADCCommon_CFIFO_NonCoherency_ISR,     eQADC_EncodeISRInfo(eQADC_ISR_FIFO_3_NCF,   eQADC_QUEUE_3),             EIRQ_ADC},      /* 116 - eQADC command FIFO 3 Non-Coherency Flag               */
    {&eQADCCommon_CFIFO_Pause_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_3_PF,    eQADC_QUEUE_3),             EIRQ_ADC},      /* 117 - eQADC command FIFO 3 Pause Flag                       */
    {&eQADCCommon_CFIFO_EndOfQueue_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FIFO_3_EOQF,  eQADC_QUEUE_3),             EIRQ_ADC},      /* 118 - eQADC command FIFO 3 command queue End of Queue Flag  */
    {&eQADCCommon_CFIFO_Fill_ISR,             eQADC_EncodeISRInfo(eQADC_ISR_FIFO_3_CFFF,  eQADC_QUEUE_3),             EIRQ_ADC},      /* 119 - eQADC Command FIFO 3 Fill Flag                        */
    {&eQADCCommon_RFIFO_Drain_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_3_RFDF,  eQADC_QUEUE_3),             EIRQ_ADC},      /* 120 - eQADC Receive FIFO 3 Drain Flag                       */
    {&eQADCCommon_CFIFO_NonCoherency_ISR,     eQADC_EncodeISRInfo(eQADC_ISR_FIFO_4_NCF,   eQADC_QUEUE_4),             EIRQ_ADC},      /* 121 - eQADC command FIFO 4 Non-Coherency Flag               */
    {&eQADCCommon_CFIFO_Pause_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_4_PF,    eQADC_QUEUE_4),             EIRQ_ADC},      /* 122 - eQADC command FIFO 4 Pause Flag                       */
    {&eQADCCommon_CFIFO_EndOfQueue_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FIFO_4_EOQF,  eQADC_QUEUE_4),             EIRQ_ADC},      /* 123 - eQADC command FIFO 4 command queue End of Queue Flag  */
    {&eQADCCommon_CFIFO_Fill_ISR,             eQADC_EncodeISRInfo(eQADC_ISR_FIFO_4_CFFF,  eQADC_QUEUE_4),             EIRQ_ADC},      /* 124 - eQADC Command FIFO 4 Fill Flag                        */
    {&eQADCCommon_RFIFO_Drain_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_4_RFDF,  eQADC_QUEUE_4),             EIRQ_ADC},      /* 125 - eQADC Receive FIFO 4 Drain Flag                       */
    {&eQADCCommon_CFIFO_NonCoherency_ISR,     eQADC_EncodeISRInfo(eQADC_ISR_FIFO_5_NCF,   eQADC_QUEUE_5),             EIRQ_ADC},      /* 126 - eQADC command FIFO 5 Non-Coherency Flag               */
    {&eQADCCommon_CFIFO_Pause_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_5_PF,    eQADC_QUEUE_5),             EIRQ_ADC},      /* 127 - eQADC command FIFO 5 Pause Flag                       */
    {&eQADCCommon_CFIFO_EndOfQueue_ISR,       eQADC_EncodeISRInfo(eQADC_ISR_FIFO_5_EOQF,  eQADC_QUEUE_5),             EIRQ_ADC},      /* 128 - eQADC command FIFO 5 command queue End of Queue Flag  */
    {&eQADCCommon_CFIFO_Fill_ISR,             eQADC_EncodeISRInfo(eQADC_ISR_FIFO_5_CFFF,  eQADC_QUEUE_5),             EIRQ_ADC},      /* 129 - eQADC Command FIFO 5 Fill Flag                        */
    {&eQADCCommon_RFIFO_Drain_ISR,            eQADC_EncodeISRInfo(eQADC_ISR_FIFO_5_RFDF,  eQADC_QUEUE_5),             EIRQ_ADC},      /* 130 - eQADC Receive FIFO 5 Drain Flag                       */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_BSR_TFUF_RFOF),                                  EIRQ_DSPI},     /* 131 - DSPI_B combined overrun interrupt requests: Transmit FIFO Underflow and Receive FIFO Overflow */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_BSR_EOQF),                                       EIRQ_DSPI},     /* 132 - DSPI_B transmit FIFO End of Queue Flag                                                        */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_BSR_TFFF),                                       EIRQ_DSPI},     /* 133 - DSPI_B Transmit FIFO Fill Flag                                                                */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_BSR_TCF),                                        EIRQ_DSPI},     /* 134 - DSPI_B Transfer Complete Flag                                                                 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_BSR_RFDF),                                       EIRQ_DSPI},     /* 135 - DSPI_B Receive FIFO Drain Flag                                                                */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_CSR_TFUF_RFOF),                                  EIRQ_DSPI},     /* 136 - DSPI_C combined overrun interrupt requests: Transmit FIFO Underflow and Receive FIFO Overflow */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_CSR_EOQF),                                       EIRQ_DSPI},     /* 137 - DSPI_C transmit FIFO End of Queue Flag                                                        */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_CSR_TFFF),                                       EIRQ_DSPI},     /* 138 - DSPI_C Transmit FIFO Fill Flag                                                                */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_CSR_TCF),                                        EIRQ_DSPI},     /* 139 - DSPI_C Transfer Complete Flag                                                                 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_CSR_RFDF),                                       EIRQ_DSPI},     /* 140 - DSPI_C Receive FIFO Drain Flag                                                                */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_DSR_TFUF_RFOF),                                  EIRQ_DSPI},     /* 141 - DSPI_D combined overrun interrupt requests: Transmit FIFO Underflow and Receive FIFO Overflow */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_DSR_EOQF),                                       EIRQ_DSPI},     /* 142 - DSPI_D transmit FIFO End of Queue Flag                                                        */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_DSR_TFFF),                                       EIRQ_DSPI},     /* 143 - DSPI_D Transmit FIFO Fill Flag                                                                */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_DSR_TCF),                                        EIRQ_DSPI},     /* 144 - DSPI_D Transfer Complete Flag                                                                 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_DSR_RFDF),                                       EIRQ_DSPI},     /* 145 - DSPI_D Receive FIFO Drain Flag                                                                */
    {&SCI_CombinedISR,         EncodeESCICombinedISRInfo(ESCI_A),                                                     EIRQ_SCI},      /* 146 - Combined interrupt requests of ESCI module A */
#if (__TARGET_PROCESSOR_FAMILY == TARGET_PROCESSOR_FAMILY_MPC55XX)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ESCIA_RESERVED1),                                     EIRQ_SCI},      /* 147 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ESCIA_RESERVED2),                                     EIRQ_SCI},      /* 148 - */
#elif ( (__TARGET_PROCESSOR == MPC5644A_TARGET) )
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_NONCORRECTERROR),                             EIRQ_OTHER},    /* 147 - FlexRay non correctable error */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_CORRECTERROR),                                EIRQ_OTHER},    /* 148 - FlexRay correctable error */
#else
    #error This include does not cater for the chosen processor target
#endif
    {&SCI_CombinedISR,         EncodeESCICombinedISRInfo(ESCI_B),                                                     EIRQ_SCI},      /* 149 - Combined interrupt requests of ESCI module B */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ESCIB_RESERVED1),                                     EIRQ_SCI},      /* 150 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_ESCIB_RESERVED2),                                     EIRQ_SCI},      /* 151 - */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_A, FLEXCAN2_BUS_OFF_ISR),                          EIRQ_CAN},      /* 152 - FLEXCAN_A Bus off Interrupt      */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_A, FLEXCAN2_ERROR_ISR),                            EIRQ_CAN},      /* 153 - FLEXCAN_A Error Interrupt        */
#if (__TARGET_PROCESSOR_FAMILY == TARGET_PROCESSOR_FAMILY_MPC55XX)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_CANA_RESERVED),                                       EIRQ_CAN},      /* 154 -                                  */
#elif ( (__TARGET_PROCESSOR == MPC5644A_TARGET) )
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_CANA_WAKE_IN),                                        EIRQ_CAN},      /* 154 - FLEXCAN_A Wake Interrupt         */
#else
    #error This include does not cater for the chosen processor target
#endif

    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_0),                            EIRQ_CAN},      /* 155 - FLEXCAN_A Buffer 0 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_1),                            EIRQ_CAN},      /* 156 - FLEXCAN_A Buffer 1 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_2),                            EIRQ_CAN},      /* 157 - FLEXCAN_A Buffer 2 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_3),                            EIRQ_CAN},      /* 158 - FLEXCAN_A Buffer 3 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_4),                            EIRQ_CAN},      /* 159 - FLEXCAN_A Buffer 4 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_5),                            EIRQ_CAN},      /* 160 - FLEXCAN_A Buffer 5 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_6),                            EIRQ_CAN},      /* 161 - FLEXCAN_A Buffer 6 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_7),                            EIRQ_CAN},      /* 162 - FLEXCAN_A Buffer 7 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_8),                            EIRQ_CAN},      /* 163 - FLEXCAN_A Buffer 8 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_9),                            EIRQ_CAN},      /* 164 - FLEXCAN_A Buffer 9 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_10),                           EIRQ_CAN},      /* 165 - FLEXCAN_A Buffer 10 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_11),                           EIRQ_CAN},      /* 166 - FLEXCAN_A Buffer 11 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_12),                           EIRQ_CAN},      /* 167 - FLEXCAN_A Buffer 12 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_13),                           EIRQ_CAN},      /* 168 - FLEXCAN_A Buffer 13 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_14),                           EIRQ_CAN},      /* 169 - FLEXCAN_A Buffer 14 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_15),                           EIRQ_CAN},      /* 170 - FLEXCAN_A Buffer 15 Interrupt    */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_16, FLEXCAN2_BUFFER_31), EIRQ_CAN},      /* 171 - FLEXCAN_A Buffer 31-16 Interrupt */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_A, FLEXCAN2_BUFFER_32, FLEXCAN2_BUFFER_63), EIRQ_CAN},      /* 172 - FLEXCAN_A Buffer 63-32 Interrupt */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_C, FLEXCAN2_BUS_OFF_ISR),                          EIRQ_CAN},      /* 173 - FLEXCAN_C Bus off Interrupt      */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_C, FLEXCAN2_ERROR_ISR),                            EIRQ_CAN},      /* 174 - FLEXCAN_C Error Interrupt        */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_CANC_RESERVED),                                       EIRQ_CAN},      /* 175 - */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_0),                            EIRQ_CAN},      /* 176 - FLEXCAN_C Buffer 0 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_1),                            EIRQ_CAN},      /* 177 - FLEXCAN_C Buffer 1 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_2),                            EIRQ_CAN},      /* 178 - FLEXCAN_C Buffer 2 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_3),                            EIRQ_CAN},      /* 179 - FLEXCAN_C Buffer 3 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_4),                            EIRQ_CAN},      /* 180 - FLEXCAN_C Buffer 4 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_5),                            EIRQ_CAN},      /* 181 - FLEXCAN_C Buffer 5 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_6),                            EIRQ_CAN},      /* 182 - FLEXCAN_C Buffer 6 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_7),                            EIRQ_CAN},      /* 183 - FLEXCAN_C Buffer 7 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_8),                            EIRQ_CAN},      /* 184 - FLEXCAN_C Buffer 8 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_9),                            EIRQ_CAN},      /* 185 - FLEXCAN_C Buffer 9 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_10),                           EIRQ_CAN},      /* 186 - FLEXCAN_C Buffer 10 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_11),                           EIRQ_CAN},      /* 187 - FLEXCAN_C Buffer 11 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_12),                           EIRQ_CAN},      /* 188 - FLEXCAN_C Buffer 12 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_13),                           EIRQ_CAN},      /* 189 - FLEXCAN_C Buffer 13 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_14),                           EIRQ_CAN},      /* 190 - FLEXCAN_C Buffer 14 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_15),                           EIRQ_CAN},      /* 191 - FLEXCAN_C Buffer 15 Interrupt    */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_16, FLEXCAN2_BUFFER_31), EIRQ_CAN},      /* 192 - FLEXCAN_C Buffer 31-16 Interrupt */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_C, FLEXCAN2_BUFFER_32, FLEXCAN2_BUFFER_63), EIRQ_CAN},      /* 193 - FLEXCAN_C Buffer 63-32 Interrupt */
#if (__TARGET_PROCESSOR == MPC5534_TARGET) || (__TARGET_PROCESSOR == MPC5554_TARGET) || (__TARGET_PROCESSOR == MPC5644A_TARGET)
    /* 5534/5554/5644A do not have an FEC module */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_194),                                        EIRQ_OTHER},     /* 194 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_195),                                        EIRQ_OTHER},     /* 195 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_196),                                        EIRQ_OTHER},     /* 196 - */
#elif (__TARGET_PROCESSOR == MPC5553_TARGET || __TARGET_PROCESSOR == MPC5566_TARGET)
    /* 5553/5566 have an FEC module */
    {&INTC_AttachableISR,      EncodeInterruptSourceISRInfo(ATTACHABLE_ISR_FEC_TRANSMIT),                             EIRQ_ENET },     /* 194 - FEC Transmit Interrupt */
    {&INTC_AttachableISR,      EncodeInterruptSourceISRInfo(ATTACHABLE_ISR_FEC_RECEIVE),                              EIRQ_ENET },     /* 195 - FEC Receive Interrupt */
    {&INTC_AttachableISR,      EncodeInterruptSourceISRInfo(ATTACHABLE_ISR_FEC_COMBINED),                             EIRQ_ENET },     /* 196 - FEC Combined (all other FEC sources) Interrupt */
#else
    #error This include does not cater for the chosen processor target
#endif
#if (__TARGET_PROCESSOR_FAMILY == TARGET_PROCESSOR_FAMILY_MPC55XX)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_197),                                        EIRQ_ENET},     /* 197 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_198),                                        EIRQ_ENET},     /* 198 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_199),                                        EIRQ_ENET},     /* 199 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_200),                                        EIRQ_ENET},     /* 200 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_201),                                        EIRQ_ENET},     /* 201 - */
#elif ( (__TARGET_PROCESSOR == MPC5644A_TARGET) )
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DEC_FIL_A_IN),                                       EIRQ_OTHER},     /* 197 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DEC_FIL_A_OUT),                                      EIRQ_OTHER},     /* 198 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DEC_FIL_A_ERR),                                      EIRQ_OTHER},     /* 199 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_STM0),                                               EIRQ_OTHER},     /* 200 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_STM_COMBINED),                                       EIRQ_OTHER},     /* 201 - */
#else
    #error This include does not cater for the chosen processor target
#endif
    {&eMIOS_ISR,               eMIOS_16,                                                                              EIRQ_EMIOS},    /* 202 - eMIOS channel 16 Flag */
    {&eMIOS_ISR,               eMIOS_17,                                                                              EIRQ_EMIOS},    /* 203 - eMIOS channel 17 Flag */
    {&eMIOS_ISR,               eMIOS_18,                                                                              EIRQ_EMIOS},    /* 204 - eMIOS channel 18 Flag */
    {&eMIOS_ISR,               eMIOS_19,                                                                              EIRQ_EMIOS},    /* 205 - eMIOS channel 19 Flag */
    {&eMIOS_ISR,               eMIOS_20,                                                                              EIRQ_EMIOS},    /* 206 - eMIOS channel 20 Flag */
    {&eMIOS_ISR,               eMIOS_21,                                                                              EIRQ_EMIOS},    /* 207 - eMIOS channel 21 Flag */
    {&eMIOS_ISR,               eMIOS_22,                                                                              EIRQ_EMIOS},    /* 208 - eMIOS channel 22 Flag */
    {&eMIOS_ISR,               eMIOS_23,                                                                              EIRQ_EMIOS},    /* 209 - eMIOS channel 23 Flag */

#if (NUM_INTC_SOURCES > 210)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_ERL_ERRH),                                       EIRQ_DMA},      /* 210 - eDMA error [32:63] */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT32),                                    EIRQ_DMA},      /* 211 - eDMA channel Interrupt 32 */
#if ( (__TARGET_PROCESSOR == MPC5566_TARGET)||(__TARGET_PROCESSOR == MPC5554_TARGET) )
    {&SPI_Module_CombinedISR,  eDMA_EncodeISRInfo(eDMA_DSPI_A_RX_FDF, DSPI_A),                                        EIRQ_DMA},      /* 212 - eDMA channel Interrupt 33 */
#elif ( (__TARGET_PROCESSOR == MPC5644A_TARGET) )
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT33),                                    EIRQ_DMA},      /* 212 - DSPIA not supported by TARGET so eDMA ISR not handled */
#else
    #error This include does not cater for the chosen processor target
#endif
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT34),                                    EIRQ_DMA},      /* 213 - eDMA channel Interrupt 34 */
    {&SCI_eDMA_RxHalfISR,      EncodeESCIRxHalfISRInfo(ESCI_B, eDMA_eSCI_B_COMB_RX),                                  EIRQ_DMA},      /* 214 - eDMA channel Interrupt 35 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT36),                                    EIRQ_DMA},      /* 215 - eDMA channel Interrupt 36 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT37),                                    EIRQ_DMA},      /* 216 - eDMA channel Interrupt 37 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT38),                                    EIRQ_DMA},      /* 217 - eDMA channel Interrupt 38 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT39),                                    EIRQ_DMA},      /* 218 - eDMA channel Interrupt 39 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT40),                                    EIRQ_DMA},      /* 219 - eDMA channel Interrupt 40 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT41),                                    EIRQ_DMA},      /* 220 - eDMA channel Interrupt 41 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT42),                                    EIRQ_DMA},      /* 221 - eDMA channel Interrupt 42 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT43),                                    EIRQ_DMA},      /* 222 - eDMA channel Interrupt 43 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_12,ETPU1_A_CHAN12),                                EIRQ_DMA},      /* 223 - eDMA channel Interrupt 44 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_13,ETPU1_A_CHAN13),                                EIRQ_DMA},      /* 224 - eDMA channel Interrupt 45 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_28,ETPU1_A_CHAN28),                                EIRQ_DMA},      /* 225 - eDMA channel Interrupt 46 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_A_CHAN_29,ETPU1_A_CHAN29),                                EIRQ_DMA},      /* 226 - eDMA channel Interrupt 47 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT48),                                    EIRQ_DMA},      /* 227 - eDMA channel Interrupt 48 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT49),                                    EIRQ_DMA},      /* 228 - eDMA channel Interrupt 49 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT50),                                    EIRQ_DMA},      /* 229 - eDMA channel Interrupt 50 */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_EDMA_IRQRH_INT51),                                    EIRQ_DMA},      /* 230 - eDMA channel Interrupt 51 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_0, ETPU1_B_CHAN0),                                 EIRQ_DMA},      /* 231 - eDMA channel Interrupt 52 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_1, ETPU1_B_CHAN1),                                 EIRQ_DMA},      /* 232 - eDMA channel Interrupt 53 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_2, ETPU1_B_CHAN2),                                 EIRQ_DMA},      /* 233 - eDMA channel Interrupt 54 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_3, ETPU1_B_CHAN3),                                 EIRQ_DMA},      /* 234 - eDMA channel Interrupt 55 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_12,ETPU1_B_CHAN12),                                EIRQ_DMA},      /* 235 - eDMA channel Interrupt 56 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_13,ETPU1_B_CHAN13),                                EIRQ_DMA},      /* 236 - eDMA channel Interrupt 57 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_14,ETPU1_B_CHAN14),                                EIRQ_DMA},      /* 237 - eDMA channel Interrupt 58 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_15,ETPU1_B_CHAN15),                                EIRQ_DMA},      /* 238 - eDMA channel Interrupt 59 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_28,ETPU1_B_CHAN28),                                EIRQ_DMA},      /* 239 - eDMA channel Interrupt 60 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_29,ETPU1_B_CHAN29),                                EIRQ_DMA},      /* 240 - eDMA channel Interrupt 61 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_30,ETPU1_B_CHAN30),                                EIRQ_DMA},      /* 241 - eDMA channel Interrupt 62 */
    {&eTPUCommon_eDMA_ISR,     eDMA_EncodeISRInfo(eDMA_eTPU_B_CHAN_31,ETPU1_B_CHAN31),                                EIRQ_DMA},      /* 242 - eDMA channel Interrupt 63 */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN0),                                       EIRQ_TPU},      /* 243 - eTPU Engine B channel 0 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN1),                                       EIRQ_TPU},      /* 244 - eTPU Engine B channel 1 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN2),                                       EIRQ_TPU},      /* 245 - eTPU Engine B channel 2 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN3),                                       EIRQ_TPU},      /* 246 - eTPU Engine B channel 3 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN4),                                       EIRQ_TPU},      /* 247 - eTPU Engine B channel 4 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN5),                                       EIRQ_TPU},      /* 248 - eTPU Engine B channel 5 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN6),                                       EIRQ_TPU},      /* 249 - eTPU Engine B channel 6 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN7),                                       EIRQ_TPU},      /* 250 - eTPU Engine B channel 7 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN8),                                       EIRQ_TPU},      /* 251 - eTPU Engine B channel 8 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN9),                                       EIRQ_TPU},      /* 252 - eTPU Engine B channel 9 Interrupt status  */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN10),                                      EIRQ_TPU},      /* 253 - eTPU Engine B channel 10 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN11),                                      EIRQ_TPU},      /* 254 - eTPU Engine B channel 11 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN12),                                      EIRQ_TPU},      /* 255 - eTPU Engine B channel 12 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN13),                                      EIRQ_TPU},      /* 256 - eTPU Engine B channel 13 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN14),                                      EIRQ_TPU},      /* 257 - eTPU Engine B channel 14 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN15),                                      EIRQ_TPU},      /* 258 - eTPU Engine B channel 15 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN16),                                      EIRQ_TPU},      /* 259 - eTPU Engine B channel 16 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN17),                                      EIRQ_TPU},      /* 260 - eTPU Engine B channel 17 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN18),                                      EIRQ_TPU},      /* 261 - eTPU Engine B channel 18 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN19),                                      EIRQ_TPU},      /* 262 - eTPU Engine B channel 19 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN20),                                      EIRQ_TPU},      /* 263 - eTPU Engine B channel 20 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN21),                                      EIRQ_TPU},      /* 264 - eTPU Engine B channel 21 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN22),                                      EIRQ_TPU},      /* 265 - eTPU Engine B channel 22 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN23),                                      EIRQ_TPU},      /* 266 - eTPU Engine B channel 23 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN24),                                      EIRQ_TPU},      /* 267 - eTPU Engine B channel 24 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN25),                                      EIRQ_TPU},      /* 268 - eTPU Engine B channel 25 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN26),                                      EIRQ_TPU},      /* 269 - eTPU Engine B channel 26 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN27),                                      EIRQ_TPU},      /* 270 - eTPU Engine B channel 27 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN28),                                      EIRQ_TPU},      /* 271 - eTPU Engine B channel 28 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN29),                                      EIRQ_TPU},      /* 272 - eTPU Engine B channel 29 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN30),                                      EIRQ_TPU},      /* 273 - eTPU Engine B channel 30 Interrupt status */
    {&eTPU_ISR,                EncodeeTPUInterruptSourceISRInfo(ETPU1_B_CHAN31),                                      EIRQ_TPU},      /* 274 - eTPU Engine B channel 31 Interrupt status */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_ASR_TFUF_RFOF),                                  EIRQ_DSPI},     /* 275 - DSPI_A combined overrun interrupt requests: Transmit FIFO Underflow and Receive FIFO Overflow */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_ASR_EOQF),                                       EIRQ_DSPI},     /* 276 - DSPI_A transmit FIFO End of Queue Flag */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_ASR_TFFF),                                       EIRQ_DSPI},     /* 277 - DSPI_A Transmit FIFO Fill Flag         */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_ASR_TCF),                                        EIRQ_DSPI},     /* 278 - DSPI_A Transfer Complete Flag          */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DSPI_ASR_RFDF),                                       EIRQ_DSPI},     /* 279 - DSPI_A Receive FIFO Drain Flag         */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_B, FLEXCAN2_BUS_OFF_ISR),                          EIRQ_CAN},      /* 280 - FLEXCAN_B Bus off Interrupt            */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_B, FLEXCAN2_ERROR_ISR),                            EIRQ_CAN},      /* 281 - FLEXCAN_B Error Interrupt              */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_CANB_RESERVED),                                       EIRQ_CAN},      /* 282 - */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_0),                            EIRQ_CAN},      /* 283 - FLEXCAN_B Buffer 0 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_1),                            EIRQ_CAN},      /* 284 - FLEXCAN_B Buffer 1 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_2),                            EIRQ_CAN},      /* 285 - FLEXCAN_B Buffer 2 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_3),                            EIRQ_CAN},      /* 286 - FLEXCAN_B Buffer 3 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_4),                            EIRQ_CAN},      /* 287 - FLEXCAN_B Buffer 4 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_5),                            EIRQ_CAN},      /* 288 - FLEXCAN_B Buffer 5 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_6),                            EIRQ_CAN},      /* 289 - FLEXCAN_B Buffer 6 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_7),                            EIRQ_CAN},      /* 290 - FLEXCAN_B Buffer 7 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_8),                            EIRQ_CAN},      /* 291 - FLEXCAN_B Buffer 8 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_9),                            EIRQ_CAN},      /* 292 - FLEXCAN_B Buffer 9 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_10),                           EIRQ_CAN},      /* 293 - FLEXCAN_B Buffer 10 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_11),                           EIRQ_CAN},      /* 294 - FLEXCAN_B Buffer 11 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_12),                           EIRQ_CAN},      /* 295 - FLEXCAN_B Buffer 12 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_13),                           EIRQ_CAN},      /* 296 - FLEXCAN_B Buffer 13 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_14),                           EIRQ_CAN},      /* 297 - FLEXCAN_B Buffer 14 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_15),                           EIRQ_CAN},      /* 298 - FLEXCAN_B Buffer 15 Interrupt    */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_16, FLEXCAN2_BUFFER_31), EIRQ_CAN},      /* 299 - FLEXCAN_B Buffer 31-16 Interrupt */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_B, FLEXCAN2_BUFFER_32, FLEXCAN2_BUFFER_63), EIRQ_CAN},      /* 300 - FLEXCAN_B Buffer 63-32 Interrupt */
#if (__TARGET_PROCESSOR_FAMILY == TARGET_PROCESSOR_FAMILY_MPC55XX)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_301),                                        EIRQ_OTHER},    /* 301 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_302),                                        EIRQ_OTHER},    /* 302 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_303),                                        EIRQ_OTHER},    /* 303 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_304),                                        EIRQ_OTHER},    /* 304 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_305),                                        EIRQ_OTHER},    /* 305 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_306),                                        EIRQ_OTHER},    /* 306 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_307),                                        EIRQ_OTHER},    /* 307 - */
#elif  (__TARGET_PROCESSOR == MPC5644A_TARGET)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(PIT_TIMER_0),                                             EIRQ_OTHER},    /* 301 - PIT */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(PIT_TIMER_1),                                             EIRQ_OTHER},    /* 302 - PIT */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(PIT_TIMER_2),                                             EIRQ_OTHER},    /* 303 - PIT */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(PIT_TIMER_3),                                             EIRQ_OTHER},    /* 304 - PIT */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(PIT_TIMER_RTI),                                           EIRQ_OTHER},    /* 305 - PIT */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_PMC),                                                 EIRQ_OTHER},    /* 306 - PIT */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_MCM),                                                 EIRQ_OTHER},    /* 307 - PIT */
#else
    #error This include does not cater for the chosen processor target
#endif
#if (NUM_INTC_SOURCES > 308)

#if (__TARGET_PROCESSOR == MPC5566_TARGET)
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_D, FLEXCAN2_BUS_OFF_ISR),                          EIRQ_CAN},      /* 308 - FLEXCAN_D Bus off Interrupt            */
    {&FlexCAN2ErrorISR,        EncodeFlexCAN2ErrorISRInfo(FLEXCAN2_D, FLEXCAN2_ERROR_ISR),                            EIRQ_CAN},      /* 309 - FLEXCAN_D Error Interrupt              */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_CAND_RESERVED),                                       EIRQ_CAN},      /* 310 - */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_0),                            EIRQ_CAN},      /* 311 - FLEXCAN_D Buffer 0 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_1),                            EIRQ_CAN},      /* 312 - FLEXCAN_D Buffer 1 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_2),                            EIRQ_CAN},      /* 313 - FLEXCAN_D Buffer 2 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_3),                            EIRQ_CAN},      /* 314 - FLEXCAN_D Buffer 3 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_4),                            EIRQ_CAN},      /* 315 - FLEXCAN_D Buffer 4 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_5),                            EIRQ_CAN},      /* 316 - FLEXCAN_D Buffer 5 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_6),                            EIRQ_CAN},      /* 317 - FLEXCAN_D Buffer 6 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_7),                            EIRQ_CAN},      /* 318 - FLEXCAN_D Buffer 7 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_8),                            EIRQ_CAN},      /* 319 - FLEXCAN_D Buffer 8 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_9),                            EIRQ_CAN},      /* 320 - FLEXCAN_D Buffer 9 Interrupt     */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_10),                           EIRQ_CAN},      /* 321 - FLEXCAN_D Buffer 10 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_11),                           EIRQ_CAN},      /* 322 - FLEXCAN_D Buffer 11 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_12),                           EIRQ_CAN},      /* 323 - FLEXCAN_D Buffer 12 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_13),                           EIRQ_CAN},      /* 324 - FLEXCAN_D Buffer 13 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_14),                           EIRQ_CAN},      /* 325 - FLEXCAN_D Buffer 14 Interrupt    */
    {&FlexCAN2BufferISR,       EncodeFlexCAN2BufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_15),                           EIRQ_CAN},      /* 326 - FLEXCAN_D Buffer 15 Interrupt    */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_16, FLEXCAN2_BUFFER_31), EIRQ_CAN},      /* 327 - FLEXCAN_D Buffer 31-16 Interrupt */
    {&FlexCAN2SharedBufferISR, EncodeFlexCAN2SharedBufferISRInfo(FLEXCAN2_D, FLEXCAN2_BUFFER_32, FLEXCAN2_BUFFER_63), EIRQ_CAN},      /* 328 - FLEXCAN_D Buffer 63-32 Interrupt */
#elif  (__TARGET_PROCESSOR == MPC5644A_TARGET)
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_308),                                        EIRQ_OTHER},    /* 308 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_309),                                        EIRQ_OTHER},    /* 309 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_310),                                        EIRQ_OTHER},    /* 310 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_311),                                        EIRQ_OTHER},    /* 311 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_312),                                        EIRQ_OTHER},    /* 312 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_313),                                        EIRQ_OTHER},    /* 313 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_314),                                        EIRQ_OTHER},    /* 314 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_315),                                        EIRQ_OTHER},    /* 315 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_316),                                        EIRQ_OTHER},    /* 316 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_317),                                        EIRQ_OTHER},    /* 317 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_318),                                        EIRQ_OTHER},    /* 318 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_319),                                        EIRQ_OTHER},    /* 319 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_320),                                        EIRQ_OTHER},    /* 320 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_321),                                        EIRQ_OTHER},    /* 321 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_322),                                        EIRQ_OTHER},    /* 322 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_323),                                        EIRQ_OTHER},    /* 323 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_324),                                        EIRQ_OTHER},    /* 324 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_325),                                        EIRQ_OTHER},    /* 325 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_326),                                        EIRQ_OTHER},    /* 326 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_327),                                        EIRQ_OTHER},    /* 327 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_328),                                        EIRQ_OTHER},    /* 328 - */
#else
    #error This include does not cater for the chosen processor target
#endif
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_329),                                        EIRQ_OTHER},    /* 329 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_330),                                        EIRQ_OTHER},    /* 330 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_331),                                        EIRQ_OTHER},    /* 331 - */
#if (NUM_INTC_SOURCES > 332)
    #if ( (__TARGET_PROCESSOR == MPC5644A_TARGET) )
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_332),                                        EIRQ_OTHER},    /* 332 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_333),                                        EIRQ_OTHER},    /* 333 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_334),                                        EIRQ_OTHER},    /* 334 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_335),                                        EIRQ_OTHER},    /* 335 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_336),                                        EIRQ_OTHER},    /* 336 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_337),                                        EIRQ_OTHER},    /* 337 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_338),                                        EIRQ_OTHER},    /* 338 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_339),                                        EIRQ_OTHER},    /* 339 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_340),                                        EIRQ_OTHER},    /* 340 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_341),                                        EIRQ_OTHER},    /* 341 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_342),                                        EIRQ_OTHER},    /* 342 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_343),                                        EIRQ_OTHER},    /* 343 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_344),                                        EIRQ_OTHER},    /* 344 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_345),                                        EIRQ_OTHER},    /* 345 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_346),                                        EIRQ_OTHER},    /* 346 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_347),                                        EIRQ_OTHER},    /* 347 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_348),                                        EIRQ_OTHER},    /* 348 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_349),                                        EIRQ_OTHER},    /* 349 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_MIF),                                         EIRQ_OTHER},    /* 350 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_PRIF),                                        EIRQ_OTHER},    /* 351 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_CHIF),                                        EIRQ_OTHER},    /* 352 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_WUP_IF),                                      EIRQ_OTHER},    /* 353 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_FBNE_F),                                      EIRQ_OTHER},    /* 354 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_FANE_F),                                      EIRQ_OTHER},    /* 355 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_RBIF),                                        EIRQ_OTHER},    /* 356 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_FLEXRAY_TBIF),                                        EIRQ_OTHER},    /* 357 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_STM1),                                                EIRQ_OTHER},    /* 358 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_STM2),                                                EIRQ_OTHER},    /* 359 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_STM3),                                                EIRQ_OTHER},    /* 360 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_GE),                                            EIRQ_OTHER},    /* 361 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_0),                                             EIRQ_OTHER},    /* 362 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_1),                                             EIRQ_OTHER},    /* 363 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_2),                                             EIRQ_OTHER},    /* 364 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_3),                                             EIRQ_OTHER},    /* 365 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DEC_FIL_B_IN),                                        EIRQ_OTHER},    /* 366 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DEC_FIL_B_OUT),                                       EIRQ_OTHER},    /* 367 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_DEC_FIL_B_ERR),                                       EIRQ_OTHER},    /* 368 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_369),                                        EIRQ_OTHER},    /* 369 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_370),                                        EIRQ_OTHER},    /* 370 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_371),                                        EIRQ_OTHER},    /* 371 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_372),                                        EIRQ_OTHER},    /* 372 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_373),                                        EIRQ_OTHER},    /* 373 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_374),                                        EIRQ_OTHER},    /* 374 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_375),                                        EIRQ_OTHER},    /* 375 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_376),                                        EIRQ_OTHER},    /* 376 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_377),                                        EIRQ_OTHER},    /* 377 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_378),                                        EIRQ_OTHER},    /* 378 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_379),                                        EIRQ_OTHER},    /* 379 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(380),                                                     EIRQ_OTHER},    /* 380 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(381),                                                     EIRQ_OTHER},    /* 381 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(382),                                                     EIRQ_OTHER},    /* 382 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(383),                                                     EIRQ_OTHER},    /* 383 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(384),                                                     EIRQ_OTHER},    /* 384 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(385),                                                     EIRQ_OTHER},    /* 385 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(386),                                                     EIRQ_OTHER},    /* 386 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(387),                                                     EIRQ_OTHER},    /* 387 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(388),                                                     EIRQ_OTHER},    /* 388 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(389),                                                     EIRQ_OTHER},    /* 389 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(390),                                                     EIRQ_OTHER},    /* 390 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(391),                                                     EIRQ_OTHER},    /* 391 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(392),                                                     EIRQ_OTHER},    /* 392 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(393),                                                     EIRQ_OTHER},    /* 393 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(394),                                                     EIRQ_OTHER},    /* 394 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(395),                                                     EIRQ_OTHER},    /* 395 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(396),                                                     EIRQ_OTHER},    /* 396 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(397),                                                     EIRQ_OTHER},    /* 397 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(398),                                                     EIRQ_OTHER},    /* 398 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(399),                                                     EIRQ_OTHER},    /* 399 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(400),                                                     EIRQ_OTHER},    /* 400 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(401),                                                     EIRQ_OTHER},    /* 401 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(402),                                                     EIRQ_OTHER},    /* 402 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(403),                                                     EIRQ_OTHER},    /* 403 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(404),                                                     EIRQ_OTHER},    /* 404 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(405),                                                     EIRQ_OTHER},    /* 405 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(406),                                                     EIRQ_OTHER},    /* 406 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(407),                                                     EIRQ_OTHER},    /* 407 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(408),                                                     EIRQ_OTHER},    /* 408 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(409),                                                     EIRQ_OTHER},    /* 409 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(410),                                                     EIRQ_OTHER},    /* 410 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(411),                                                     EIRQ_OTHER},    /* 411 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(412),                                                     EIRQ_OTHER},    /* 412 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(413),                                                     EIRQ_OTHER},    /* 413 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(414),                                                     EIRQ_OTHER},    /* 414 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(415),                                                     EIRQ_OTHER},    /* 415 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(416),                                                     EIRQ_OTHER},    /* 416 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(417),                                                     EIRQ_OTHER},    /* 417 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(418),                                                     EIRQ_OTHER},    /* 418 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(419),                                                     EIRQ_OTHER},    /* 419 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(420),                                                     EIRQ_OTHER},    /* 420 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(421),                                                     EIRQ_OTHER},    /* 421 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(422),                                                     EIRQ_OTHER},    /* 422 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(423),                                                     EIRQ_OTHER},    /* 423 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(424),                                                     EIRQ_OTHER},    /* 424 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(425),                                                     EIRQ_OTHER},    /* 425 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(426),                                                     EIRQ_OTHER},    /* 426 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(427),                                                     EIRQ_OTHER},    /* 427 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(428),                                                     EIRQ_OTHER},    /* 428 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(429),                                                     EIRQ_OTHER},    /* 429 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(430),                                                     EIRQ_OTHER},    /* 430 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(431),                                                     EIRQ_OTHER},    /* 431 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(432),                                                     EIRQ_OTHER},    /* 432 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(433),                                                     EIRQ_OTHER},    /* 433 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(434),                                                     EIRQ_OTHER},    /* 434 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(435),                                                     EIRQ_OTHER},    /* 435 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(436),                                                     EIRQ_OTHER},    /* 436 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(437),                                                     EIRQ_OTHER},    /* 437 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(438),                                                     EIRQ_OTHER},    /* 438 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(439),                                                     EIRQ_OTHER},    /* 439 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(440),                                                     EIRQ_OTHER},    /* 440 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(441),                                                     EIRQ_OTHER},    /* 441 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(442),                                                     EIRQ_OTHER},    /* 442 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(443),                                                     EIRQ_OTHER},    /* 443 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(444),                                                     EIRQ_OTHER},    /* 444 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(445),                                                     EIRQ_OTHER},    /* 445 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(446),                                                     EIRQ_OTHER},    /* 446 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(447),                                                     EIRQ_OTHER},    /* 447 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(448),                                                     EIRQ_OTHER},    /* 448 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(449),                                                     EIRQ_OTHER},    /* 449 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(450),                                                     EIRQ_OTHER},    /* 450 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(451),                                                     EIRQ_OTHER},    /* 451 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(452),                                                     EIRQ_OTHER},    /* 452 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(453),                                                     EIRQ_OTHER},    /* 453 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(454),                                                     EIRQ_OTHER},    /* 454 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(455),                                                     EIRQ_OTHER},    /* 455 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(456),                                                     EIRQ_OTHER},    /* 456 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(457),                                                     EIRQ_OTHER},    /* 457 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(458),                                                     EIRQ_OTHER},    /* 458 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(459),                                                     EIRQ_OTHER},    /* 459 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(460),                                                     EIRQ_OTHER},    /* 460 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(461),                                                     EIRQ_OTHER},    /* 461 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(462),                                                     EIRQ_OTHER},    /* 462 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(463),                                                     EIRQ_OTHER},    /* 463 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(464),                                                     EIRQ_OTHER},    /* 464 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(465),                                                     EIRQ_OTHER},    /* 465 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(466),                                                     EIRQ_OTHER},    /* 466 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(467),                                                     EIRQ_OTHER},    /* 467 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(468),                                                     EIRQ_OTHER},    /* 468 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(469),                                                     EIRQ_OTHER},    /* 469 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(470),                                                     EIRQ_OTHER},    /* 470 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(471),                                                     EIRQ_OTHER},    /* 471 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(472),                                                     EIRQ_OTHER},    /* 472 - */
    {&SCI_CombinedISR,         EncodeESCICombinedISRInfo(ESCI_C),                                                     EIRQ_SCI},      /* 473 - Combined interrupt requests of ESCI module C */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_474),                                        EIRQ_OTHER},    /* 474 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_475),                                        EIRQ_OTHER},    /* 475 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_476),                                        EIRQ_OTHER},    /* 476 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_477),                                        EIRQ_OTHER},    /* 477 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_478),                                        EIRQ_OTHER},    /* 478 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_479),                                        EIRQ_OTHER},    /* 479 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_480),                                        EIRQ_OTHER},    /* 480 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_481),                                        EIRQ_OTHER},    /* 481 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_482),                                        EIRQ_OTHER},    /* 482 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_RESERVED_483),                                        EIRQ_OTHER},    /* 483 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_4),                                             EIRQ_OTHER},    /* 484 - */
    {&INTC_UnhandledISR,       EncodeInterruptSourceISRInfo(ISR_REACM_5),                                             EIRQ_OTHER},    /* 485 - */
#else
    #error This include does not cater for the chosen processor target
#endif

#endif /* #if (NUM_INTC_SOURCES > 332) */
#endif /* #if (NUM_INTC_SOURCES > 308) */
#endif /* #if (NUM_INTC_SOURCES > 210) */

};
#include <Pragma_Section_End_rodata.h>





